-- 19-11-2019 SL/TRK
-- 27-11-2019 SL Tilfjede driftstatus og materiale stamdatatabeller, nye kolonner p TI til driftstatus, materiale, inspektionsdato, notatlinjer
-- Nye BBR stamdata tabeller - 12.0.0 - mss

patch_id bbr_1200_191119

--******************************************************************************
-- Nye bbr stamdata tabeller                                          27-11-2019
--******************************************************************************

-- Varmeinstallation

create table dbo.bbr_code_heating_installation (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_heating_installation primary key clustered (code)
);

grant select on bbr_code_heating_installation to public;
grant select, insert, update, delete on bbr_code_heating_installation to sysmgr;

-- Opvarmningsmiddel

create table dbo.bbr_code_heating_source (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_heating_source primary key clustered (code)
);

grant select on bbr_code_heating_source to public;
grant select, insert, update, delete on bbr_code_heating_source to sysmgr;

-- Driftstatus
create table dbo.bbr_code_ti_ops_status (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_ti_ops_status primary key clustered (code)
);

grant select on bbr_code_ti_ops_status to public;
grant select, insert, update, delete on bbr_code_ti_ops_status to sysmgr;

-- Materiale
create table dbo.bbr_code_ti_material (
   code                 varchar(10)                    not null,
   name                 varchar(200)                   null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   active               varchar(1)                     null,
   constraint pk_bbr_code_ti_material primary key clustered (code)
);

grant select on bbr_code_ti_material to public;
grant select, insert, update, delete on bbr_code_ti_material to sysmgr;

--******************************************************************************
-- Nye kolonner p bbr_building                                       19-11-2019
--******************************************************************************

if (select col_length('bbr_building','heating_installation_code')) is null
  alter table bbr_building add heating_installation_code varchar(10) null;

if (select col_length('bbr_building','heating_source_code')) is null
  alter table bbr_building add heating_source_code varchar(10) null;

drop_foreign_key on bbr_building bbr_code_heating_installation;

alter table bbr_building
  add constraint fk_bbr_building_bbr_code_heating_installation foreign key (heating_installation_code)
  references bbr_code_heating_installation (code);

drop_foreign_key on bbr_building bbr_code_heating_source;

alter table bbr_building
  add constraint fk_bbr_building_bbr_code_heating_source foreign key (heating_source_code)
  references bbr_code_heating_source (code);

--******************************************************************************

--******************************************************************************
-- Nye kolonner p bbr_technical_installation                         27-11-2019
--******************************************************************************
if (select col_length('bbr_technical_installation','ops_status_code')) is null
  alter table bbr_technical_installation add ops_status_code varchar(10) null;
  
drop_foreign_key on bbr_technical_installation bbr_code_ti_ops_status;

alter table bbr_technical_installation
  add constraint fk_bbr_technical_installation_bbr_code_ti_ops_status foreign key (ops_status_code)
  references bbr_code_ti_ops_status (code);

if (select col_length('bbr_technical_installation','material_code')) is null
  alter table bbr_technical_installation add material_code varchar(10) null;
  
drop_foreign_key on bbr_technical_installation bbr_code_ti_material;

alter table bbr_technical_installation
  add constraint fk_bbr_technical_installation_bbr_code_ti_material foreign key (material_code)
  references bbr_code_ti_material (code);
  
if (select col_length('bbr_technical_installation','inspection_date')) is null
  alter table bbr_technical_installation add inspection_date datetime null;
  
if (select col_length('bbr_technical_installation','notes')) is null
  alter table bbr_technical_installation add notes varchar(max) null;