patch_id csr_all_18122019

if not exists (select 1 from sys.database_principals where name='csr_user')
  create role csr_user;

-- drop enkelte tabeller

drop table dbo.dump_site;

drop table dbo.csr_plant;

drop table dbo.csr_sources;

drop table dbo.csr_storage;

-- object:  table dbo.csr_air_emis_a_calc    script date: 08-08-2019 18:50:33 

create table dbo.csr_air_emis_a_calc (
   a_calc_seq_no numeric(9, 0) not null,
   calc_per_a_seq_no numeric(9, 0) not null,
   substance_id varchar(6) not null,
   quantity numeric(12, 3) null,
   q_unit varchar(4) null,
   data_source varchar(20) null,
   calc_method varchar(6) null,
   hour_middle numeric(12, 3) null,
   hour_max numeric(12, 3) null,
   h_unit varchar(4) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   oml char(1) null,
   emission numeric(12, 3) null,
 constraint pk_csr_air_emis_a_calc primary key (a_calc_seq_no)
);
grant select,insert,delete,update on dbo.csr_air_emis_a_calc to csr_user as dbo;
grant select on dbo.csr_air_emis_a_calc to sysmgr as dbo;

-- Object:  Table dbo.csr_air_emis_a_documents    Script Date: 08-08-2019 18:50:34 

create table dbo.csr_air_emis_a_documents (
   doc_seq_no numeric(9, 0) not null,
   calc_per_a_seq_no numeric(9, 0) not null,
   doc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_air_emis_a_documents primary key (doc_seq_no)
);

grant select,insert,delete,update on dbo.csr_air_emis_a_documents to csr_user as dbo;
grant select on dbo.csr_air_emis_a_documents to sysmgr as dbo;

-- Object:  Table dbo.csr_air_emis_area_source    Script Date: 08-08-2019 18:50:34 

create table dbo.csr_air_emis_area_source (
   source_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   first_side numeric(6, 2) null,
   second_side numeric(6, 2) null,
   angle int null,
   source_height numeric(5, 1) null,
   building_height numeric(4, 1) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   area_source_name varchar(60) null,
   csr_source_seq_no numeric(9, 0) null,
   area numeric(7, 1) null,
   width numeric(6, 1) null,
   shape char(1) null,
 constraint pk_csr_air_emis_area_source primary key (source_seq_no)
);
grant select,insert,delete,update on dbo.csr_air_emis_area_source to csr_user as dbo;
grant select on dbo.csr_air_emis_area_source to sysmgr as dbo;

-- Object:  Table dbo.csr_air_emis_calc    Script Date: 08-08-2019 18:50:34 

create table dbo.csr_air_emis_calc (
   calc_seq_no numeric(9, 0) not null,
   calc_per_seq_no numeric(9, 0) not null,
   substance_id varchar(6) not null,
   quantity numeric(12, 3) null,
   q_unit varchar(4) null,
   data_source varchar(20) null,
   calc_method varchar(6) null,
   hour_middle numeric(12, 3) null,
   hour_max numeric(12, 3) null,
   h_unit varchar(4) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   oml char(1) null,
   emission numeric(12, 3) null,
   air_target_value numeric(12, 4) null,
   subst_target_value numeric(12, 4) null,
   emission_kg_year numeric(12, 3) null,
 constraint pk_csr_air_emis_calc primary key (calc_seq_no)
);
grant select,insert,delete,update on dbo.csr_air_emis_calc to csr_user as dbo;
grant select on dbo.csr_air_emis_calc to sysmgr as dbo;

-- Object:  Table dbo.csr_air_emis_calc_periods    Script Date: 08-08-2019 18:50:34 

create table dbo.csr_air_emis_calc_periods (
   calc_per_seq_no numeric(9, 0) not null,
   source_seq_no numeric(9, 0) not null,
   calc_year varchar(4) null,
   reg_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   vol_stream numeric(8, 2) null,
   air_flow numeric(8, 2) null,
   temperature numeric(4, 1) null,
   laboratorium_id varchar(6) null,
   an_program_id varchar(6) null,
   measure_date datetime null,
   vol_stream_oxygen numeric(8, 2) null,
   unit char(1) null,
 constraint pk_csr_air_emis_calc_periods primary key (calc_per_seq_no)
);
grant select,insert,delete,update on dbo.csr_air_emis_calc_periods to csr_user as dbo;
grant select on dbo.csr_air_emis_calc_periods to sysmgr as dbo;

-- Object:  Table dbo.csr_air_emis_documents    Script Date: 08-08-2019 18:50:34 

create table dbo.csr_air_emis_documents (
   doc_seq_no numeric(9, 0) not null,
   calc_per_seq_no numeric(9, 0) not null,
   doc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_air_emis_document primary key (doc_seq_no)
);
grant select,insert,delete,update on dbo.csr_air_emis_documents to csr_user as dbo;
grant select on dbo.csr_air_emis_documents to sysmgr as dbo;

-- Object:  Table dbo.csr_air_emis_source    Script Date: 08-08-2019 18:50:34 

create table dbo.csr_air_emis_source (
   source_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   csr_source_seq_no numeric(9, 0) null,
   source_id varchar(6) null,
   source_name varchar(60) null,
   discharge_height_gnd numeric(4, 1) null,
   discharge_height_roof numeric(4, 1) null,
   inside_diam numeric(4, 2) null,
   outside_diam numeric(4, 2) null,
   vol_stream numeric(5, 2) null,
   air_flow numeric(4, 2) null,
   temperature numeric(4, 1) null,
   path_to_document varchar(255) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   building_height numeric(4, 1) null,
   smoke_lift char(1) null,
   mapsheet_id varchar(15) null,
   x_coor float null,
   y_coor float null,
 constraint pk_csr_air_emis_source primary key (source_seq_no)
);
grant select,insert,delete,update on dbo.csr_air_emis_source to csr_user as dbo;
grant select on dbo.csr_air_emis_source to sysmgr as dbo;

-- Object:  Table dbo.csr_approval_conditions    Script Date: 08-08-2019 18:50:34 

create table dbo.csr_approval_conditions (
   cond_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   approval_no varchar(20) not null,
   cond_descr varchar(5000) null,
   timeframes varchar(120) null,
   annual_planning varchar(120) null,
   case_officer varchar(6) null,
   comments varchar(125) null,
   general_comments varchar(500) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   issue varchar(100) null,
   condition_no varchar(10) null,
   sort_key int null,
   next_deadline datetime null,
   status_colour int null,
   type char(1) null,
   w char(1) null,
   vt char(1) null,
   s char(1) null,
   kor char(1) null,
   log char(1) null,
   ve char(1) null,
   fo char(1) null,
   ko char(1) null,
   no char(1) null,
 constraint pk_csr_conditions primary key (cond_seq_no)
);
grant select,insert,delete,update on dbo.csr_approval_conditions to csr_user as dbo;
grant select on dbo.csr_approval_conditions to sysmgr as dbo;

-- Object:  Table dbo.csr_approval_documents    Script Date: 08-08-2019 18:50:35 

create table dbo.csr_approval_documents (
   doc_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   doc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint fk_doc_document primary key (doc_seq_no)
);
grant select,insert,delete,update on dbo.csr_approval_documents to csr_user as dbo;
grant select on dbo.csr_approval_documents to sysmgr as dbo;

-- Object:  Table dbo.csr_approval_log    Script Date: 08-08-2019 18:50:35 

create table dbo.csr_approval_log (
   log_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   sort_key int null,
   log_date datetime null,
   period varchar(30) null,
   subject varchar(120) null,
   action varchar(120) null,
   log_status char(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   responsible varchar(30) null,
   comments varchar(120) null,
 constraint pk_appr_log primary key (log_seq_no)
);
grant select,insert,delete,update on dbo.csr_approval_log to csr_user as dbo;
grant select on dbo.csr_approval_log to sysmgr as dbo;

-- Object:  Table dbo.csr_approval_maps    Script Date: 08-08-2019 18:50:35 

create table dbo.csr_approval_maps (
   pic_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   picture_title varchar(40) null,
   path_name varchar(255) null,
   picture varbinary(max) null,
   width int null,
   height int null,
   pic_date datetime null,
   author varchar(40) null,
   comments varchar(255) null,
   extension varchar(3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_approval_maps primary key (pic_seq_no)
);
grant select,insert,delete,update on dbo.csr_approval_maps to csr_user as dbo;
grant select on dbo.csr_approval_maps to sysmgr as dbo;

-- Object:  Table dbo.csr_approval_note    Script Date: 08-08-2019 18:50:35 

create table dbo.csr_approval_note (
   cond_seq_no numeric(9, 0) not null,
   note_title_no int not null,
   note varchar(max) null,
   sort_key int null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   note_date datetime not null,
 constraint pk_approval_note primary key (cond_seq_no, note_title_no, note_date)
);
grant select,insert,delete,update on dbo.csr_approval_note to csr_user as dbo;
grant select on dbo.csr_approval_note to sysmgr as dbo;

-- Object:  Table dbo.csr_approval_sop    Script Date: 08-08-2019 18:50:35 

create table dbo.csr_approval_sop (
   sop_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   sop_id varchar(6) not null,
   sort_key int null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_approval_sop primary key (sop_seq_no)
);
grant select,insert,delete,update on dbo.csr_approval_sop to csr_user as dbo;
grant select on dbo.csr_approval_sop to sysmgr as dbo;

-- Object:  Table dbo.csr_approval_types    Script Date: 08-08-2019 18:50:35 

create table dbo.csr_approval_types (
   approval_id varchar(6) not null,
   approval_name varchar(60) not null,
   reported_as varchar(12) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_approval_types primary key (approval_id)
);
grant select on dbo.csr_approval_types to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_approval_types to sysmgr as dbo;

-- Object:  Table dbo.csr_approvals    Script Date: 08-08-2019 18:50:35 

create table dbo.csr_approvals (
   ind_seq_no numeric(9, 0) not null,
   approval_no varchar(20) not null,
   approval_descr varchar(5000) null,
   approval_type varchar(6) null,
   path_doc_appr varchar(255) null,
   approval_conditions varchar(255) null,
   approval_date datetime null,
   approval_expired datetime null,
   approval_assigned char(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   category_id varchar(6) null,
   sub_category_id varchar(6) null,
   status_id varchar(6) null,
   department varchar(6) null,
   plant_operator numeric(9, 0) null,
   consultant numeric(9, 0) null,
   approval_reg_date datetime null,
   approval_title varchar(120) null,
   sys_type varchar(1) null,
 constraint pk_csr_approvals primary key (ind_seq_no, approval_no)
);
grant select,insert,delete,update on dbo.csr_approvals to csr_user as dbo;
grant select on dbo.csr_approvals to sysmgr as dbo;

-- Object:  Table dbo.csr_area_types    Script Date: 08-08-2019 18:50:36 

create table dbo.csr_area_types (
   area_type_id varchar(6) not null,
   area_type_name varchar(60) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_area_types primary key (area_type_id)
);
grant select on dbo.csr_area_types to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_area_types to sysmgr as dbo;

-- Object:  Table dbo.csr_bref_documents    Script Date: 08-08-2019 18:50:36 

create table dbo.csr_bref_documents (
   bref_id varchar(6) not null,
   bref_name varchar(120) null,
   bref_name_uk varchar(120) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   status varchar(60) null,
   active char(1) null,
   version varchar(4) null,
   doc_path varchar(255) null,
 constraint pk_bref_documents primary key (bref_id)
);
grant select on dbo.csr_bref_documents to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_bref_documents to sysmgr as dbo;

-- Object:  Table dbo.csr_category_codes    Script Date: 08-08-2019 18:50:36 

create table dbo.csr_category_codes (
   category_code varchar(20) not null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_category_codes primary key (category_code)
);
grant select on dbo.csr_category_codes to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_category_codes to sysmgr as dbo;

-- Object:  Table dbo.csr_certification_std    Script Date: 08-08-2019 18:50:36 

create table dbo.csr_certification_std (
   certification_std_seq_no int identity(1,1) not null,
   certification_description varchar(100) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_certification_std primary key (certification_std_seq_no)
);
grant select,insert,delete,update on dbo.csr_certification_std to csr_user as dbo;
grant select on dbo.csr_certification_std to sysmgr as dbo;

-- Object:  Table dbo.csr_cf_consumption    Script Date: 08-08-2019 18:50:36 

create table dbo.csr_cf_consumption (
   cf_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   year int null,
   scope varchar(1) null,
   co2_source varchar(6) null,
   consumption int null,
   consump_unit int null,
   consump_type varchar(6) null,
   description varchar(60) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   location_id varchar(6) null,
 constraint pk_cf_consumption primary key (cf_seq_no)
);
grant select,insert,delete,update on dbo.csr_cf_consumption to csr_user as dbo;
grant select on dbo.csr_cf_consumption to sysmgr as dbo;

-- Object:  Table dbo.csr_cf_consumption_types    Script Date: 08-08-2019 18:50:36 

create table dbo.csr_cf_consumption_types (
   type_id varchar(6) not null,
   type_name varchar(60) not null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_cf_consumption_types primary key (type_id)
);
grant select on dbo.csr_cf_consumption_types to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_cf_consumption_types to sysmgr as dbo;

-- Object:  Table dbo.csr_cf_emissions    Script Date: 08-08-2019 18:50:36 

create table dbo.csr_cf_emissions (
   em_seq_no numeric(9, 0) not null,
   cf_seq_no numeric(9, 0) not null,
   emission_factor numeric(6, 1) null,
   unit char(1) null,
   em_factor_source varchar(120) null,
   comments varchar(120) null,
   ratios int null,
   ratio_units varchar(30) null,
   change_last_year numeric(4, 1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   doc_path varchar(255) null,
 constraint pk_cf_emissions primary key (em_seq_no)
);
grant select,insert,delete,update on dbo.csr_cf_emissions to csr_user as dbo;
grant select on dbo.csr_cf_emissions to sysmgr as dbo;

-- Object:  Table dbo.csr_cf_sources    Script Date: 08-08-2019 18:50:37 

create table dbo.csr_cf_sources (
   source_id varchar(6) not null,
   source_name varchar(60) not null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   comments varchar(120) null,
   scope_id varchar(8) null,
   scope_name varchar(20) null,
 constraint pk_cf_sources primary key (source_id)
);
grant select on dbo.csr_cf_sources to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_cf_sources to sysmgr as dbo;

-- Object:  Table dbo.csr_cond_picture    Script Date: 08-08-2019 18:50:37 

create table dbo.csr_cond_picture (
   pic_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   picture_title varchar(40) null,
   path_name varchar(255) null,
   picture varbinary(max) null,
   width int null,
   height int null,
   pic_date datetime null,
   photographer varchar(40) null,
   comments varchar(255) null,
   extension varchar(3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_cond_picture primary key (pic_seq_no)
);
grant select,insert,delete,update on dbo.csr_cond_picture to csr_user as dbo;
grant select on dbo.csr_cond_picture to sysmgr as dbo;

-- Object:  Table dbo.csr_condition_concerns    Script Date: 08-08-2019 18:50:37 

create table dbo.csr_condition_concerns (
   cc_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   cc_id varchar(6) not null,
   cc_comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_condition_concerns primary key (cc_seq_no)
);
grant select,insert,delete,update on dbo.csr_condition_concerns to csr_user as dbo;
grant select on dbo.csr_condition_concerns to sysmgr as dbo;

-- Object:  Table dbo.csr_condition_subjects    Script Date: 08-08-2019 18:50:37 

create table dbo.csr_condition_subjects (
   subject_id varchar(6) not null,
   subject_name varchar(60) null,
   sys_type char(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   comments varchar(120) null,
   changed_by varchar(6) null,
 constraint pk_csr_condition_subjects primary key (subject_id)
);
grant select on dbo.csr_condition_subjects to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_condition_subjects to sysmgr as dbo;

-- Object:  Table dbo.csr_conditions_clipboard    Script Date: 08-08-2019 18:50:37 

create table dbo.csr_conditions_clipboard (
   clip_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   picture_title varchar(40) null,
   path_name varchar(255) null,
   picture varbinary(max) null,
   width int null,
   height int null,
   pic_date datetime null,
   author varchar(40) null,
   comments varchar(max) null,
   extension varchar(3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_conditions_clipboard primary key (clip_seq_no)
);
grant select,insert,delete,update on dbo.csr_conditions_clipboard to csr_user as dbo;
grant select on dbo.csr_conditions_clipboard to sysmgr as dbo;

-- Object:  Table dbo.csr_consumption    Script Date: 08-08-2019 18:50:37 

create table dbo.csr_consumption (
   consumption_seq_no numeric(9, 0) not null,
   product_seq_no numeric(9, 0) not null,
   year smallint null,
   amount_year int null,
   unit varchar(10) null,
   permitted_max int null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_consumption primary key (consumption_seq_no)
);
grant select,insert,delete,update on dbo.csr_consumption to csr_user as dbo;
grant select on dbo.csr_consumption to sysmgr as dbo;

-- Object:  Table dbo.csr_currency    Script Date: 08-08-2019 18:50:37 

create table dbo.csr_currency (
   currency_id varchar(6) not null,
   currency_name varchar(30) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   country varchar(60) null,
 constraint pk_csr_currency primary key (currency_id)
);
grant select,insert,delete,update on dbo.csr_currency to csr_user as dbo;
grant select on dbo.csr_currency to sysmgr as dbo;

-- Object:  Table dbo.csr_current_bref    Script Date: 08-08-2019 18:50:38 

create table dbo.csr_current_bref (
   bref_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   bref_id varchar(6) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_current_bref primary key (bref_seq_no)
);
grant select,insert,delete,update on dbo.csr_current_bref to csr_user as dbo;
grant select on dbo.csr_current_bref to sysmgr as dbo;

-- Object:  Table dbo.csr_demand_cond_picture    Script Date: 08-08-2019 18:50:38 

create table dbo.csr_demand_cond_picture (
   dpic_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   picture_title varchar(40) null,
   path_name varchar(255) null,
   picture varbinary(max) null,
   width int null,
   height int null,
   pic_date datetime null,
   photographer varchar(40) null,
   comments varchar(255) null,
   extension varchar(3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_demand_cond_picture primary key (dpic_seq_no)
);
grant select,insert,delete,update on dbo.csr_demand_cond_picture to csr_user as dbo;
grant select on dbo.csr_demand_cond_picture to sysmgr as dbo;

-- Object:  Table dbo.csr_demand_condition_concerns    Script Date: 08-08-2019 18:50:38 

create table dbo.csr_demand_condition_concerns (
   dcc_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   dcc_id varchar(6) not null,
   dcc_comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_demand_condition_concerns primary key (dcc_seq_no)
);
grant select,insert,delete,update on dbo.csr_demand_condition_concerns to csr_user as dbo;
grant select on dbo.csr_demand_condition_concerns to sysmgr as dbo;

-- Object:  Table dbo.csr_demand_conditions    Script Date: 08-08-2019 18:50:38 

create table dbo.csr_demand_conditions (
   cond_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   demand_no varchar(20) not null,
   cond_descr varchar(5000) null,
   timeframes varchar(120) null,
   annual_planning varchar(120) null,
   case_officer varchar(6) null,
   comments varchar(125) null,
   general_comments varchar(500) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   issue varchar(100) null,
   condition_no varchar(10) null,
   sort_key int null,
   next_deadline datetime null,
   status_colour int null,
   type char(1) null,
   w char(1) null,
   vt char(1) null,
   s char(1) null,
   kor char(1) null,
   log char(1) null,
   ve char(1) null,
   fo char(1) null,
   ko char(1) null,
   no char(1) null,
 constraint pk_csr_demand_conditions primary key (cond_seq_no)
);
grant select,insert,delete,update on dbo.csr_demand_conditions to csr_user as dbo;
grant select on dbo.csr_demand_conditions to sysmgr as dbo;

-- Object:  Table dbo.csr_demand_conditions_clipboard    Script Date: 08-08-2019 18:50:38 

create table dbo.csr_demand_conditions_clipboard (
   dclip_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   picture_title varchar(40) null,
   path_name varchar(255) null,
   picture varbinary(max) null,
   width int null,
   height int null,
   pic_date datetime null,
   author varchar(40) null,
   comments varchar(max) null,
   extension varchar(3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_demand_conditions_clipboard primary key (dclip_seq_no)
);
grant select,insert,delete,update on dbo.csr_demand_conditions_clipboard to csr_user as dbo;
grant select on dbo.csr_demand_conditions_clipboard to sysmgr as dbo;

-- Object:  Table dbo.csr_demand_documents    Script Date: 08-08-2019 18:50:38 

create table dbo.csr_demand_documents (
   ddoc_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   ddoc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint fk_csr_demand_documents primary key (ddoc_seq_no)
);
grant select,insert,delete,update on dbo.csr_demand_documents to csr_user as dbo;
grant select on dbo.csr_demand_documents to sysmgr as dbo;

-- Object:  Table dbo.csr_demand_log    Script Date: 08-08-2019 18:50:39 

create table dbo.csr_demand_log (
   dlog_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   sort_key int null,
   log_date datetime null,
   period varchar(30) null,
   subject varchar(120) null,
   action varchar(120) null,
   log_status char(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   responsible varchar(30) null,
 constraint pk_csr_demand_log primary key (dlog_seq_no)
);
grant select,insert,delete,update on dbo.csr_demand_log to csr_user as dbo;
grant select on dbo.csr_demand_log to sysmgr as dbo;

-- object:  table dbo.csr_demand_maintenance_ref    script date: 08-08-2019 18:50:39 

create table dbo.csr_demand_maintenance_ref (
   mdoc_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   mdoc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_demand_maintenance_ref primary key (mdoc_seq_no)
);
grant select,insert,delete,update on dbo.csr_demand_maintenance_ref to csr_user as dbo;
grant select on dbo.csr_demand_maintenance_ref to sysmgr as dbo;

-- Object:  Table dbo.csr_demand_maps    Script Date: 08-08-2019 18:50:39 

create table dbo.csr_demand_maps (
   dpic_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   picture_title varchar(40) null,
   path_name varchar(255) null,
   picture varbinary(max) null,
   width int null,
   height int null,
   pic_date datetime null,
   author varchar(40) null,
   comments varchar(255) null,
   extension varchar(3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_demand_maps primary key (dpic_seq_no)
);
grant select,insert,delete,update on dbo.csr_demand_maps to csr_user as dbo;
grant select on dbo.csr_demand_maps to sysmgr as dbo;

-- Object:  Table dbo.csr_demand_note    Script Date: 08-08-2019 18:50:39 

create table dbo.csr_demand_note (
   dcond_seq_no numeric(9, 0) not null,
   note_title_no int not null,
   note varchar(max) null,
   sort_key int null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   note_date datetime not null,
 constraint pk_csr_demand_note primary key (dcond_seq_no, note_title_no, note_date)
);
grant select,insert,delete,update on dbo.csr_demand_note to csr_user as dbo;
grant select on dbo.csr_demand_note to sysmgr as dbo;

-- Object:  Table dbo.csr_demand_sop    Script Date: 08-08-2019 18:50:39 

create table dbo.csr_demand_sop (
   dsop_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   dsop_id varchar(6) not null,
   sort_key int null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_demand_sop primary key (dsop_seq_no)
);
grant select,insert,delete,update on dbo.csr_demand_sop to csr_user as dbo;
grant select on dbo.csr_demand_sop to sysmgr as dbo;

-- Object:  Table dbo.csr_demands    Script Date: 08-08-2019 18:50:39 

create table dbo.csr_demands (
   ind_seq_no numeric(9, 0) not null,
   demand_no varchar(20) not null,
   demand_descr varchar(5000) null,
   demand_type varchar(6) null,
   path_doc_appr varchar(255) null,
   demand_conditions varchar(255) null,
   demand_date datetime null,
   demand_expired datetime null,
   demand_assigned char(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   status_id varchar(6) null,
   department varchar(6) null,
   demand_reg_date datetime null,
   demand_title varchar(255) null,
   sys_type varchar(1) null,
 constraint pk_csr_demands primary key (ind_seq_no asc,
   demand_no)
);
grant select,insert,delete,update on dbo.csr_demands to csr_user as dbo;
grant select on dbo.csr_demands to sysmgr as dbo;

-- Object:  Table dbo.csr_department    Script Date: 08-08-2019 18:50:39 

create table dbo.csr_department (
   department varchar(6) not null,
   department_name varchar(40) not null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   sys_type varchar(6) null,
   esdh_departmentid varchar(50) null,
 constraint pk_csr_department primary key (department)
);
grant select on dbo.csr_department to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_department to sysmgr as dbo;

-- Object:  Table dbo.csr_discharge_area    Script Date: 08-08-2019 18:50:40 

create table dbo.csr_discharge_area (
   discharge_area_seq_no numeric(9, 0) not null,
   source_seq_no numeric(9, 0) not null,
   area numeric(7, 1) null,
   width decimal(7, 1) null,
   shape varchar(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   source_hight numeric(5, 1) null,
   comments varchar(120) null,
   length numeric(7, 1) null,
 constraint pk_csr_discharge_area primary key (discharge_area_seq_no)
);
grant select,insert,delete,update on dbo.csr_discharge_area to csr_user as dbo;
grant select on dbo.csr_discharge_area to sysmgr as dbo;

-- object:  table dbo.csr_dumpsite    script date: 08-08-2019 18:50:40 

create table dbo.csr_dumpsite (
   dumpsite_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   dump_id varchar(20) null,
   dump_name varchar(60) null,
   location_id varchar(6) null,
   location_name varchar(60) null,
   building_name varchar(60) null,
   pavement varchar(1) null,
   drain varchar(1) null,
   boundary varchar(1) null,
   path_to_document varchar(255) null,
   comments varchar(2000) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_dumpsite_seq_no primary key (dumpsite_seq_no)
);
grant select,insert,delete,update on dbo.csr_dumpsite to csr_user as dbo;
grant select on dbo.csr_dumpsite to public as dbo;
grant select on dbo.csr_dumpsite to sysmgr as dbo;

-- Object:  Table dbo.csr_dumpsite_chemicals    Script Date: 08-08-2019 18:50:40 

create table dbo.csr_dumpsite_chemicals (
   dump_chem_seq_no numeric(9, 0) not null,
   dumpsite_seq_no numeric(9, 0) not null,
   dump_chemical varchar(120) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_dumpsite_chemicals primary key (dump_chem_seq_no)
);
grant select,insert,delete,update on dbo.csr_dumpsite_chemicals to csr_user as dbo;
grant select on dbo.csr_dumpsite_chemicals to sysmgr as dbo;


-- Object:  Table dbo.csr_eia_app_categories    Script Date: 08-08-2019 18:50:40 

create table dbo.csr_eia_app_categories (
   category_id varchar(6) not null,
   sub_category_id varchar(6) not null,
   category_name varchar(40) not null,
   sub_category_name varchar(40) null,
   comments varchar(120) null,
   reported_as varchar(12) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_eia_app_categories primary key (category_id, sub_category_id)
);
grant select,insert,delete,update on dbo.csr_eia_app_categories to csr_user as dbo;
grant select on dbo.csr_eia_app_categories to sysmgr as dbo;

-- Object:  Table dbo.csr_eia_status_types    Script Date: 08-08-2019 18:50:40 

create table dbo.csr_eia_status_types (
   status_id varchar(6) not null,
   status_name varchar(40) not null,
   comments varchar(120) null,
   reported_as varchar(12) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_eia_status_types primary key (status_id)
);
grant select,insert,delete,update on dbo.csr_eia_status_types to csr_user as dbo;
grant select on dbo.csr_eia_status_types to sysmgr as dbo;

-- Object:  Table dbo.csr_electricity    Script Date: 08-08-2019 18:50:40 

create table dbo.csr_electricity (
   el_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   energy_type varchar(6) not null,
   process_type varchar(6) not null,
   amount_year int null,
   unit varchar(3) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   year smallint not null,
 constraint pk_csr_electricity primary key (el_seq_no)
);
grant select,insert,delete,update on dbo.csr_electricity to csr_user as dbo;
grant select on dbo.csr_electricity to sysmgr as dbo;

-- Object:  Table dbo.csr_emis_a_calc_periods    Script Date: 08-08-2019 18:50:40 

create table dbo.csr_emis_a_calc_periods (
   calc_per_a_seq_no numeric(9, 0) not null,
   source_seq_no numeric(9, 0) not null,
   calc_year varchar(4) null,
   reg_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   laboratorium_id varchar(6) null,
   an_program_id varchar(6) null,
   measure_date datetime null,
   vol_stream_oxygen numeric(8, 2) null,
   unit char(1) null,
   vol_stream numeric(8, 2) null,
   air_flow numeric(8, 2) null,
   temperature numeric(8, 1) null,
   area numeric(8, 1) null,
   calc_method varchar(6) null,
 constraint pk_csr_air_emis_a_calc_periods primary key (calc_per_a_seq_no)
);
grant select,insert,delete,update on dbo.csr_emis_a_calc_periods to csr_user as dbo;
grant select on dbo.csr_emis_a_calc_periods to sysmgr as dbo;

-- Object:  Table dbo.csr_emis_calc_periods    Script Date: 08-08-2019 18:50:41 

create table dbo.csr_emis_calc_periods (
   calc_per_seq_no numeric(9, 0) not null,
   source_seq_no numeric(9, 0) not null,
   from_date datetime not null,
   to_date datetime not null,
   calc_year varchar(4) null,
   reg_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_emis_calc_periods primary key (calc_per_seq_no)
);
grant select,insert,delete,update on dbo.csr_emis_calc_periods to csr_user as dbo;
grant select on dbo.csr_emis_calc_periods to sysmgr as dbo;

-- Object:  Table dbo.csr_emission_conditions    Script Date: 08-08-2019 18:50:41 

create table dbo.csr_emission_conditions (
   ac_seq_no numeric(9, 0) not null,
   product_seq_no numeric(9, 0) not null,
   disposed_as_waste varchar(30) null,
   ends_in_waste_water varchar(30) null,
   pollution_control_water varchar(30) null,
   emission_to_air varchar(30) null,
   pollution_control_air varchar(30) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   abc_value char(1) null,
   assessed_by varchar(30) null,
 constraint pk_csr_emission_conditions primary key (ac_seq_no)
);
grant select,insert,delete,update on dbo.csr_emission_conditions to csr_user as dbo;
grant select on dbo.csr_emission_conditions to sysmgr as dbo;

-- Object:  Table dbo.csr_emission_documents    Script Date: 08-08-2019 18:50:41 

create table dbo.csr_emission_documents (
   doc_seq_no numeric(9, 0) not null,
   cf_seq_no numeric(9, 0) not null,
   doc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_emission_documents primary key (doc_seq_no)
);
grant select,insert,delete,update on dbo.csr_emission_documents to csr_user as dbo;
grant select on dbo.csr_emission_documents to sysmgr as dbo;

-- Object:  Table dbo.csr_employee_types    Script Date: 08-08-2019 18:50:41 

create table dbo.csr_employee_types (
   emp_type_id varchar(6) not null,
   emp_type_name varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint fk_csr_employee_types primary key (emp_type_id)
);
grant select on dbo.csr_employee_types to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_employee_types to sysmgr as dbo;

-- Object:  Table dbo.csr_graph_group    Script Date: 08-08-2019 18:50:41 

create table dbo.csr_graph_group (
   grgroup_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   sortno int not null,
   title varchar(200) null,
   comment varchar(max) null,
   docpath varchar(255) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_graph_group primary key (grgroup_seq_no)
);
grant select,insert,delete,update on dbo.csr_graph_group to csr_user as dbo;
grant select on dbo.csr_graph_group to public as dbo;
grant select,insert,delete,update on dbo.csr_graph_group to sysmgr as dbo;

-- Object:  Table dbo.csr_graph_parameter    Script Date: 08-08-2019 18:50:41 

create table dbo.csr_graph_parameter (
   gr_seq_no numeric(9, 0) not null,
   title varchar(120) not null,
   subtitle varchar(120) null,
   filename varchar(255) not null,
   from_date datetime not null,
   to_date datetime not null,
   sampletype varchar(6) not null,
   place_seq_no numeric(9, 0) not null,
   labelx varchar(60) null,
   labely varchar(60) null,
   gr_width int null,
   gr_height int null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   grgroup_seq_no numeric(9, 0) not null,
   labely_2 varchar(60) null,
 constraint pk_csr_graph_parameter primary key (gr_seq_no)
);
grant select,insert,delete,update on dbo.csr_graph_parameter to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_graph_parameter to sysmgr as dbo;

-- Object:  Table dbo.csr_graph_parameter_detail    Script Date: 08-08-2019 18:50:41 

create table dbo.csr_graph_parameter_detail (
   gr_seq_no numeric(9, 0) not null,
   element_no varchar(6) not null,
   linethickness int null,
   linecolour numeric(9, 0) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   unit varchar(6) null,
 constraint pk_csr_graph_parameter_detail primary key (gr_seq_no, element_no)
);
grant select,insert,delete,update on dbo.csr_graph_parameter_detail to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_graph_parameter_detail to sysmgr as dbo;

-- Object:  Table dbo.csr_haz_sentences    Script Date: 08-08-2019 18:50:42 

create table dbo.csr_haz_sentences (
   haz_no varchar(6) not null,
   haz_name varchar(500) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint fk_csr_haz_sentences primary key (haz_no)
);
grant select on dbo.csr_haz_sentences to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_haz_sentences to sysmgr as dbo;

-- Object:  Table dbo.csr_heating    Script Date: 08-08-2019 18:50:42 

create table dbo.csr_heating (
   heating_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   energy_type varchar(6) not null,
   process_type varchar(6) not null,
   amount_year int null,
   unit varchar(3) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   year smallint not null,
 constraint pk_csr_heating primary key (heating_seq_no)
);
grant select,insert,delete,update on dbo.csr_heating to csr_user as dbo;
grant select on dbo.csr_heating to sysmgr as dbo;

-- Object:  Table dbo.csr_land_register    Script Date: 08-08-2019 18:50:42 

create table dbo.csr_land_register (
   land_reg_seq_no numeric(9, 0) not null,
   site_seq_no numeric(9, 0) not null,
   land_reg_code varchar(12) null,
   zone varchar(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   comments varchar(120) null,
   land_reg_no varchar(20) null,
 constraint pk_csr_land_register primary key (land_reg_seq_no)
);
grant select,insert,delete,update on dbo.csr_land_register to csr_user as dbo;
grant select on dbo.csr_land_register to sysmgr as dbo;

-- Object:  Table dbo.csr_local_plan_type    Script Date: 08-08-2019 18:50:42 

create table dbo.csr_local_plan_type (
   local_plan_type varchar(6) not null,
   plan_name varchar(60) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_local_plan_type primary key (local_plan_type)
);
grant select on dbo.csr_local_plan_type to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_local_plan_type to sysmgr as dbo;

-- Object:  Table dbo.csr_local_planning    Script Date: 08-08-2019 18:50:42 

create table dbo.csr_local_planning (
   local_plan_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   plan_no varchar(20) null,
   plan_type varchar(6) null,
   doc_path varchar(255) null,
   comments varchar(5000) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   sub_plan_id varchar(100) null,
   publication_date datetime null,
   adoptation_date datetime null,
   issue_date datetime null,
   hearing_start_date datetime null,
   hearing_end_date datetime null,
   eia_statement varchar(1) null,
 constraint pk_csr_local_planning primary key (local_plan_seq_no)
);
grant select,insert,delete,update on dbo.csr_local_planning to csr_user as dbo;
grant select on dbo.csr_local_planning to sysmgr as dbo;

-- Object:  Table dbo.csr_locations    Script Date: 08-08-2019 18:50:42 

create table dbo.csr_locations (
   location_id varchar(6) not null,
   location_name varchar(60) null,
   comment varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_locations primary key (location_id)
);
grant select on dbo.csr_locations to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_locations to sysmgr as dbo;

-- Object:  Table dbo.csr_maintenance_ref    Script Date: 08-08-2019 18:50:42 

create table dbo.csr_maintenance_ref (
   doc_seq_no numeric(9, 0) not null,
   cond_seq_no numeric(9, 0) not null,
   doc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint fk_csr_maintenance_ref primary key (doc_seq_no)
);
grant select,insert,delete,update on dbo.csr_maintenance_ref to csr_user as dbo;
grant select on dbo.csr_maintenance_ref to sysmgr as dbo;

-- Object:  Table dbo.csr_message_center    Script Date: 08-08-2019 18:50:43 

create table dbo.csr_message_center (
   mc_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   message_subject varchar(60) not null,
   risk_project char(1) null,
   appl_deadline datetime null,
   authority_response datetime null,
   labor_insp_response datetime null,
   case_officer varchar(6) null,
   message_status char(1) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   sort_key int null,
   receiver_aut varchar(6) null,
   receiver_firm varchar(6) null,
   dispatcher_aut varchar(6) null,
   dispatcher_firm varchar(6) null,
   department varchar(6) null,
   department_2 varchar(6) null,
   responsible char(1) null,
 constraint pk_csr_message_center primary key (mc_seq_no)
);
grant select,insert,delete,update on dbo.csr_message_center to csr_user as dbo;
grant select on dbo.csr_message_center to sysmgr as dbo;

-- Object:  Table dbo.csr_noise    Script Date: 08-08-2019 18:50:43 

create table dbo.csr_noise (
   noise_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   noise_type varchar(6) not null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   path_to_document varchar(255) null,
   day_dba numeric(3, 0) null,
   evening_dba numeric(3, 0) null,
   night_dba numeric(3, 0) null,
   reduction_type varchar(6) null,
   csr_source_seq_no numeric(9, 0) null,
 constraint pk_csr_noise primary key (noise_seq_no)
);
grant select,insert,delete,update on dbo.csr_noise to csr_user as dbo;
grant select on dbo.csr_noise to sysmgr as dbo;

-- Object:  Table dbo.csr_noise_calc    Script Date: 08-08-2019 18:50:43 

create table dbo.csr_noise_calc (
   noise_calc_seq_no numeric(9, 0) not null,
   noise_per_seq_no numeric(9, 0) not null,
   calc_methods varchar(6) null,
   noise_effect numeric(8, 1) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_noise_calc primary key (noise_calc_seq_no)
);
grant select,insert,delete,update on dbo.csr_noise_calc to csr_user as dbo;
grant select on dbo.csr_noise_calc to sysmgr as dbo;

-- Object:  Table dbo.csr_noise_documents    Script Date: 08-08-2019 18:50:43 

create table dbo.csr_noise_documents (
   doc_seq_no numeric(9, 0) not null,
   noise_per_seq_no numeric(9, 0) not null,
   doc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_noise_documents primary key (doc_seq_no)
);
grant select,insert,delete,update on dbo.csr_noise_documents to csr_user as dbo;
grant select on dbo.csr_noise_documents to sysmgr as dbo;

-- Object:  Table dbo.csr_noise_periods    Script Date: 08-08-2019 18:50:43 

create table dbo.csr_noise_periods (
   noise_per_seq_no numeric(9, 0) not null,
   noise_seq_no numeric(9, 0) not null,
   reg_year varchar(4) null,
   measure_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   laboratorium_id varchar(6) null,
   an_program_id varchar(6) null,
 constraint pk_csr_noise_periods primary key (noise_per_seq_no)
);
grant select,insert,delete,update on dbo.csr_noise_periods to csr_user as dbo;
grant select on dbo.csr_noise_periods to sysmgr as dbo;

-- Object:  Table dbo.csr_noise_reduction    Script Date: 08-08-2019 18:50:43 

create table dbo.csr_noise_reduction (
   red_seq_no numeric(9, 0) not null,
   noise_seq_no numeric(9, 0) not null,
   reduction_type varchar(6) null,
   comments varchar(max) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_noise_reduction primary key (red_seq_no)
);
grant select,insert,delete,update on dbo.csr_noise_reduction to csr_user as dbo;
grant select on dbo.csr_noise_reduction to sysmgr as dbo;

-- Object:  Table dbo.csr_noise_reduction_type    Script Date: 08-08-2019 18:50:43 

create table dbo.csr_noise_reduction_type (
   reduction_type varchar(6) not null,
   reduction_name varchar(40) not null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_noise_reduction_type primary key (reduction_type)
);
grant select on dbo.csr_noise_reduction_type to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_noise_reduction_type to sysmgr as dbo;

-- Object:  Table dbo.csr_odour    Script Date: 08-08-2019 18:50:44 

create table dbo.csr_odour (
   odour_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   source_seq_no numeric(9, 0) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_odour primary key (odour_seq_no)
);
grant select,insert,delete,update on dbo.csr_odour to csr_user as dbo;
grant select on dbo.csr_odour to sysmgr as dbo;

-- Object:  Table dbo.csr_odour_calc    Script Date: 08-08-2019 18:50:44 

create table dbo.csr_odour_calc (
   odour_calc_seq_no numeric(9, 0) not null,
   odour_per_seq_no numeric(9, 0) not null,
   odour_measure int null,
   gene_distance int null,
   oml varchar(1) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_odour_calc primary key (odour_calc_seq_no)
);
grant select,insert,delete,update on dbo.csr_odour_calc to csr_user as dbo;
grant select on dbo.csr_odour_calc to sysmgr as dbo;

-- Object:  Table dbo.csr_odour_documents    Script Date: 08-08-2019 18:50:44 

create table dbo.csr_odour_documents (
   doc_seq_no numeric(9, 0) not null,
   odour_per_seq_no numeric(9, 0) not null,
   doc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_odour_document primary key (doc_seq_no)
);
grant select,insert,delete,update on dbo.csr_odour_documents to csr_user as dbo;
grant select on dbo.csr_odour_documents to sysmgr as dbo;

-- Object:  Table dbo.csr_odour_periods    Script Date: 08-08-2019 18:50:44 

create table dbo.csr_odour_periods (
   odour_per_seq_no numeric(9, 0) not null,
   odour_seq_no numeric(9, 0) not null,
   reg_year varchar(4) null,
   measure_date datetime null,
   laboratorium_id varchar(6) null,
   an_program_id varchar(6) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_odour_periods primary key (odour_per_seq_no)
);
grant select,insert,delete,update on dbo.csr_odour_periods to csr_user as dbo;
grant select on dbo.csr_odour_periods to sysmgr as dbo;

-- Object:  Table dbo.csr_other_demands    Script Date: 08-08-2019 18:50:44 

create table dbo.csr_other_demands (
   demand_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   demand_no varchar(20) not null,
   demand_descr varchar(5000) null,
   timeframes varchar(120) null,
   annual_planning varchar(120) null,
   case_officer varchar(6) null,
   comments varchar(125) null,
   general_comments varchar(500) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   issue varchar(100) null,
   approval_no varchar(20) null,
   sort_key int null,
   next_deadline datetime null,
   status_colour varchar(1) null,
   type varchar(1) null,
 constraint pk_csr_other_demands primary key (demand_seq_no)
);
grant select,insert,delete,update on dbo.csr_other_demands to csr_user as dbo;
grant select on dbo.csr_other_demands to sysmgr as dbo;

-- Object:  Table dbo.csr_pictogram_types    Script Date: 08-08-2019 18:50:44 

create table dbo.csr_pictogram_types (
   pict_id varchar(6) not null,
   pict_name varchar(40) null,
   phys_risk varchar(500) null,
   health_risk varchar(255) null,
   env_risk varchar(255) null,
   doc_path varchar(255) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_pictogram_types primary key (pict_id)
);
grant select on dbo.csr_pictogram_types to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_pictogram_types to sysmgr as dbo;

-- Object:  Table dbo.csr_pipes    Script Date: 08-08-2019 18:50:44 

create table dbo.csr_pipes (
   pipe_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   location_id varchar(6) null,
   location_name varchar(60) null,
   building_name varchar(60) null,
   comments varchar(255) null,
   application varchar(60) null,
   substance varchar(40) null,
   length int null,
   diameter int null,
   control_cycles varchar(40) null,
   leak_test_method varchar(60) null,
   first_control datetime null,
   latest_control datetime null,
   next_control datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_pipes primary key (pipe_seq_no)
);
grant select,insert,delete,update on dbo.csr_pipes to csr_user as dbo;
grant select on dbo.csr_pipes to sysmgr as dbo;

-- Object:  Table dbo.csr_plant    Script Date: 08-08-2019 18:50:45 

create table dbo.csr_plant (
   plant_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   plant_id varchar(20) not null,
   plant_type varchar(6) null,
   location varchar(120) null,
   agency_id varchar(2) null,
   active char(1) null,
   established_date datetime null,
   approved_date datetime null,
   expired_date datetime null,
   end_date datetime null,
   description varchar(5000) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   plant_name varchar(60) null,
   dim_length numeric(5, 1) null,
   dim_width numeric(5, 1) null,
   dim_height numeric(4, 1) null,
   area int null,
   volume int null,
 constraint pk_csr_plant primary key (plant_seq_no)
);
grant select,insert,delete,update on dbo.csr_plant to csr_user as dbo;
grant select on dbo.csr_plant to public as dbo;
grant select on dbo.csr_plant to sysmgr as dbo;

-- Object:  Table dbo.csr_plant_documents    Script Date: 08-08-2019 18:50:45 

create table dbo.csr_plant_documents (
   doc_seq_no numeric(9, 0) not null,
   plant_seq_no numeric(9, 0) not null,
   doc_id varchar(20) null,
   doc_descrip varchar(100) null,
   doc_path varchar(255) null,
   doc_date datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_plant_documents primary key (doc_seq_no)
);
grant select,insert,delete,update on dbo.csr_plant_documents to csr_user as dbo;
grant select on dbo.csr_plant_documents to sysmgr as dbo;

-- Object:  Table dbo.csr_plant_log    Script Date: 08-08-2019 18:50:45 

create table dbo.csr_plant_log (
   log_seq_no numeric(9, 0) not null,
   plant_seq_no numeric(9, 0) not null,
   sort_key int null,
   log_date datetime null,
   period varchar(30) null,
   subject varchar(120) null,
   action varchar(120) null,
   log_status char(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   responsible varchar(30) null,
 constraint pk_csr_plant_log primary key (log_seq_no)
);
grant select,insert,delete,update on dbo.csr_plant_log to csr_user as dbo;
grant select on dbo.csr_plant_log to sysmgr as dbo;

-- Object:  Table dbo.csr_plant_maps    Script Date: 08-08-2019 18:50:45 

create table dbo.csr_plant_maps (
   pic_seq_no numeric(9, 0) not null,
   plant_seq_no numeric(9, 0) not null,
   picture_title varchar(40) null,
   path_name varchar(255) null,
   picture varbinary(max) null,
   width int null,
   height int null,
   pic_date datetime null,
   author varchar(40) null,
   comments varchar(255) null,
   extension varchar(3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_plant_maps primary key (pic_seq_no)
);
grant select,insert,delete,update on dbo.csr_plant_maps to csr_user as dbo;
grant select on dbo.csr_plant_maps to sysmgr as dbo;

-- Object:  Table dbo.csr_plant_picture    Script Date: 08-08-2019 18:50:45 

create table dbo.csr_plant_picture (
   pic_seq_no numeric(9, 0) not null,
   plant_seq_no numeric(9, 0) not null,
   picture_title varchar(40) null,
   path_name varchar(255) null,
   picture varbinary(max) null,
   width int null,
   height int null,
   pic_date datetime null,
   author varchar(40) null,
   comments varchar(255) null,
   extension varchar(3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_plant_picture primary key (pic_seq_no)
);
grant select,insert,delete,update on dbo.csr_plant_picture to csr_user as dbo;
grant select on dbo.csr_plant_picture to sysmgr as dbo;

-- Object:  Table dbo.csr_plant_type    Script Date: 08-08-2019 18:50:45 

create table dbo.csr_plant_type (
   plant_code varchar(6) not null,
   plant_name varchar(60) not null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_plant_type primary key (plant_code)
);
grant select on dbo.csr_plant_type to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_plant_type to sysmgr as dbo;

-- Object:  Table dbo.csr_plant_unit    Script Date: 08-08-2019 18:50:45 

create table dbo.csr_plant_unit (
   unit_id varchar(6) not null,
   unit_name varchar(60) null,
   plant_seq_no numeric(9, 0) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   comments varchar(120) null,
 constraint pk_csr_plant_unit primary key (unit_id)
);
grant select,insert,delete,update on dbo.csr_plant_unit to csr_user as dbo;
grant select on dbo.csr_plant_unit to sysmgr as dbo;

-- Object:  Table dbo.csr_prod_areas    Script Date: 08-08-2019 18:50:46 

create table dbo.csr_prod_areas (
   area_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   area_type_id varchar(6) null,
   area_size int null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   year smallint null,
 constraint pk_csr_prod_areas primary key (area_seq_no)
);
grant select,insert,delete,update on dbo.csr_prod_areas to csr_user as dbo;
grant select on dbo.csr_prod_areas to sysmgr as dbo;

-- Object:  Table dbo.csr_prod_employees    Script Date: 08-08-2019 18:50:46 

create table dbo.csr_prod_employees (
   emp_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   emp_type varchar(6) null,
   emp_quantity int null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   year smallint null,
 constraint pk_csr_prod_employees primary key (emp_seq_no)
);
grant select,insert,delete,update on dbo.csr_prod_employees to csr_user as dbo;
grant select on dbo.csr_prod_employees to sysmgr as dbo;

-- Object:  Table dbo.csr_prod_main_category    Script Date: 08-08-2019 18:50:46 

create table dbo.csr_prod_main_category (
   main_cat_id varchar(6) not null,
   main_cat_name varchar(40) not null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   comments varchar(120) null,
 constraint pk_csr_prod_main_category primary key (main_cat_id)
);
grant select on dbo.csr_prod_main_category to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_prod_main_category to sysmgr as dbo;

-- Object:  Table dbo.csr_prod_sub_category    Script Date: 08-08-2019 18:50:46 

create table dbo.csr_prod_sub_category (
   sub_cat_id varchar(6) not null,
   sub_cat_name varchar(40) not null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   comments varchar(120) null,
 constraint fk_csr_prod_sub_category primary key (sub_cat_id)
);
grant select on dbo.csr_prod_sub_category to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_prod_sub_category to sysmgr as dbo;

-- Object:  Table dbo.csr_product_h_sentences    Script Date: 08-08-2019 18:50:46 

create table dbo.csr_product_h_sentences (
   h_seq_no numeric(9, 0) not null,
   product_seq_no numeric(9, 0) not null,
   haz_no varchar(6) not null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   category_code varchar(20) null,
 constraint pk_csr_product_h_sentences primary key (h_seq_no)
);
grant select,insert,delete,update on dbo.csr_product_h_sentences to csr_user as dbo;
grant select on dbo.csr_product_h_sentences to sysmgr as dbo;

-- Object:  Table dbo.csr_product_pictograms    Script Date: 08-08-2019 18:50:46 

create table dbo.csr_product_pictograms (
   pict_seq_no numeric(9, 0) not null,
   product_seq_no numeric(9, 0) not null,
   pict_id varchar(6) not null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_product_pictograms primary key (pict_seq_no)
);
grant select,insert,delete,update on dbo.csr_product_pictograms to csr_user as dbo;
grant select on dbo.csr_product_pictograms to sysmgr as dbo;

-- Object:  Table dbo.csr_product_substances    Script Date: 08-08-2019 18:50:46 

create table dbo.csr_product_substances (
   ps_seq_no numeric(9, 0) not null,
   product_seq_no numeric(9, 0) not null,
   substance_id varchar(60) not null,
   substance_conc varchar(10) null,
   cas_no varchar(12) null,
   state varchar(1) null,
   major_air_group varchar(1) null,
   class_air_guide varchar(1) null,
   voc_substance varchar(1) null,
   volatility numeric(3, 1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   substance_group varchar(1) null,
 constraint pk_csr_product_substances primary key (ps_seq_no)
);
grant select,insert,delete,update on dbo.csr_product_substances to csr_user as dbo;
grant select on dbo.csr_product_substances to sysmgr as dbo;

-- Object:  Table dbo.csr_products    Script Date: 08-08-2019 18:50:47 

create table dbo.csr_products (
   product_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   product_no varchar(20) null,
   product_name varchar(60) null,
   location_id varchar(6) null,
   location_name varchar(60) null,
   building varchar(60) null,
   main_category varchar(6) null,
   sub_category varchar(6) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_products primary key (product_seq_no)
);
grant select,insert,delete,update on dbo.csr_products to csr_user as dbo;
grant select on dbo.csr_products to sysmgr as dbo;

-- Object:  Table dbo.csr_reference_documentation    Script Date: 08-08-2019 18:50:47 

create table dbo.csr_reference_documentation (
   reference_documentation_seq_no int identity(1,1) not null,
   reference_documentation_group_id varchar(15) not null,
   stdref_group_id int null,
   version int not null default 1,
   currentversion int not null default 0,
   title varchar(max) null,
   author varchar(max) null,
   publisher varchar(200) null,
   year varchar(40) null,
   library varchar(200) null,
   phone_no varchar(15) null,
   description varchar(max) null,
   fax_no varchar(15) null,
   isbn_no varchar(15) null,
   document_path varchar(255) null,
   e_mail_addr varchar(30) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   homepage varchar(120) null,
 constraint pk_csr_reference_documentation primary key (reference_documentation_seq_no)
);
grant select,insert,delete,update on dbo.csr_reference_documentation to csr_user as dbo;
grant select on dbo.csr_reference_documentation to sysmgr as dbo;

-- Object:  Table dbo.csr_risk_category    Script Date: 08-08-2019 18:50:47 

create table dbo.csr_risk_category (
   risk_category varchar(6) not null,
   risk_category_descrip varchar(100) not null,
   comments varchar(500) null,
   threshold_p4 numeric(9, 3) null,
   threshold_p5 numeric(9, 3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_risk_category primary key (risk_category)
);
grant select,insert,delete,update on dbo.csr_risk_category to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_risk_category to sysmgr as dbo;

-- Object:  Table dbo.csr_risk_cause    Script Date: 08-08-2019 18:50:47 

create table dbo.csr_risk_cause (
   ind_seq_no numeric(9, 0) not null,
   substance_id varchar(6) not null,
   alt_substance_name varchar(255) null,
   quantity numeric(9, 3) null,
   notification_date datetime null,
   comments varchar(255) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   reported_date datetime null,
   cause_seq_no numeric(9, 0) not null,
 constraint pk_csr_risk_cause primary key (cause_seq_no)
);
grant select,insert,delete,update on dbo.csr_risk_cause to csr_user as dbo;
grant select on dbo.csr_risk_cause to sysmgr as dbo;

-- Object:  Table dbo.csr_risk_classification    Script Date: 08-08-2019 18:50:47 

create table dbo.csr_risk_classification (
   risk_class_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   risk_category varchar(6) not null,
   substance varchar(60) not null,
   amount int null,
   paragraph varchar(1) null,
   threshold_p4 numeric(9, 3) null,
   threshold_p5 numeric(9, 3) null,
   named_substance varchar(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_risk_classification primary key (risk_class_seq_no)
);
grant select,insert,delete,update on dbo.csr_risk_classification to csr_user as dbo;
grant select on dbo.csr_risk_classification to sysmgr as dbo;

-- Object:  Table dbo.csr_samlet_perkolat    Script Date: 08-08-2019 18:50:47 

create table dbo.csr_samlet_perkolat (
   aar int not null,
   maned int not null,
   m3 numeric(12, 3) null,
 constraint pk_csr_samlet_perkolat primary key (aar asc,
   maned)
);
grant select,insert,delete,update on dbo.csr_samlet_perkolat to csr_user as dbo;
grant select on dbo.csr_samlet_perkolat to public as dbo;
grant select,insert,delete,update on dbo.csr_samlet_perkolat to sysmgr as dbo;

-- Object:  Table dbo.csr_source_picture    Script Date: 08-08-2019 18:50:47 

create table dbo.csr_source_picture (
   pic_seq_no numeric(9, 0) not null,
   source_seq_no numeric(9, 0) not null,
   picture_title varchar(40) null,
   path_name varchar(255) null,
   picture varbinary(max) null,
   width int null,
   height int null,
   pic_date datetime null,
   photographer varchar(40) null,
   comments varchar(255) null,
   extension varchar(3) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_source_picture primary key (pic_seq_no)
);
grant select,insert,delete,update on dbo.csr_source_picture to csr_user as dbo;
grant select on dbo.csr_source_picture to sysmgr as dbo;

-- Object:  Table dbo.csr_source_types    Script Date: 08-08-2019 18:50:48 

create table dbo.csr_source_types (
   type_seq_no numeric(9, 0) not null,
   source_seq_no numeric(9, 0) not null,
   source_type_id varchar(6) not null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_source_types primary key (type_seq_no)
);
grant select,insert,delete,update on dbo.csr_source_types to csr_user as dbo;
grant select on dbo.csr_source_types to sysmgr as dbo;

-- Object:  Table dbo.csr_source_types_base    Script Date: 08-08-2019 18:50:48 

create table dbo.csr_source_types_base (
   source_type_id varchar(6) not null,
   source_type_name varchar(60) not null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   source_type varchar(1) null,
   emission_type varchar(1) not null,
 constraint pk_csr_source_types_base primary key (source_type_id)
);
grant select on dbo.csr_source_types_base to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_source_types_base to sysmgr as dbo;

-- Object:  Table dbo.csr_sources    Script Date: 08-08-2019 18:50:48 

create table dbo.csr_sources (
   source_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   source_id varchar(30) null,
   source_name varchar(60) null,
   comments varchar(120) null,
   date_established datetime null,
   date_closed datetime null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   location varchar(60) null,
   source_type varchar(1) null,
 constraint pk_csr_sources primary key (source_seq_no)
);
grant select,insert,delete,update on dbo.csr_sources to csr_user as dbo;
grant select on dbo.csr_sources to public as dbo;
grant select on dbo.csr_sources to sysmgr as dbo;

-- Object:  Table dbo.csr_sources_discharge    Script Date: 08-08-2019 18:50:48 

create table dbo.csr_sources_discharge (
   discharge_seq_no numeric(9, 0) not null,
   source_seq_no numeric(9, 0) not null,
   temp_projected numeric(4, 1) null,
   volflux_projected numeric(5, 2) null,
   inside_diam numeric(4, 2) null,
   outside_diam numeric(4, 2) null,
   discharge_height_gnd numeric(4, 1) null,
   discharge_height_roof numeric(4, 1) null,
   building_height numeric(4, 1) null,
   descr_emissions varchar(256) null,
   descr_operations varchar(256) null,
   descr_workplace varchar(256) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   case_officer varchar(6) null,
 constraint pk_csr_sources_discharge primary key (discharge_seq_no)
);
grant select,insert,delete,update on dbo.csr_sources_discharge to csr_user as dbo;
grant select on dbo.csr_sources_discharge to sysmgr as dbo;

-- Object:  Table dbo.csr_sources_fan    Script Date: 08-08-2019 18:50:48 

create table dbo.csr_sources_fan (
   fan_seq_no numeric(9, 0) not null,
   discharge_seq_no numeric(9, 0) not null,
   fan_name varchar(30) null,
   fan_type varchar(30) null,
   fan_manufacturer varchar(40) null,
   rotations varchar(30) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   comments varchar(120) null,
   capacity varchar(30) null,
 constraint pk_csr_sources_fan primary key (fan_seq_no)
);
grant select,insert,delete,update on dbo.csr_sources_fan to csr_user as dbo;
grant select on dbo.csr_sources_fan to sysmgr as dbo;

-- Object:  Table dbo.csr_sources_filter    Script Date: 08-08-2019 18:50:48 

create table dbo.csr_sources_filter (
   filter_seq_no numeric(9, 0) not null,
   discharge_seq_no numeric(9, 0) not null,
   filter_id varchar(30) null,
   filter_type varchar(30) null,
   filter_manufacturer varchar(40) null,
   capacity varchar(30) null,
   maintenance varchar(256) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint fk_csr_sources_filter primary key (filter_seq_no)
);
grant select,insert,delete,update on dbo.csr_sources_filter to csr_user as dbo;
grant select on dbo.csr_sources_filter to sysmgr as dbo;

-- Object:  Table dbo.csr_sources_motor    Script Date: 08-08-2019 18:50:48 

create table dbo.csr_sources_motor (
   motor_seq_no numeric(9, 0) not null,
   discharge_seq_no numeric(9, 0) not null,
   manufacturer varchar(40) null,
   size_kw numeric(5, 1) null,
   size_amp numeric(5, 1) null,
   voltage varchar(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   comments varchar(120) null,
 constraint pk_csr_sources_motor primary key (motor_seq_no)
);
grant select,insert,delete,update on dbo.csr_sources_motor to csr_user as dbo;
grant select on dbo.csr_sources_motor to sysmgr as dbo;

-- Object:  Table dbo.csr_std_group    Script Date: 08-08-2019 18:50:49 

create table dbo.csr_std_group (
   std_group_seq_no int identity(1,1) not null,
   stdref_group_id int not null,
   certification_std_id int not null,
   group_description varchar(100) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_std_group primary key (std_group_seq_no)
);
grant select,insert,delete,update on dbo.csr_std_group to csr_user as dbo;
grant select on dbo.csr_std_group to sysmgr as dbo;

-- Object:  Table dbo.csr_storage    Script Date: 08-08-2019 18:50:49 

create table dbo.csr_storage (
   storage_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   location_type varchar(6) null,
   location_id varchar(6) null,
   location_name varchar(60) null,
   building_name varchar(60) null,
   tag_no varchar(10) null,
   packaging_type varchar(40) null,
   owerflow_alarm char(1) null,
   volume int null,
   boundary char(1) null,
   retain_volume int null,
   roofing char(1) null,
   comments varchar(2000) null,
   activity varchar(60) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   room_id varchar(30) null,
   alarm_cause varchar(40) null,
   drain varchar(40) null,
   pavement varchar(40) null,
   substance_type varchar(80) null,
 constraint pk_csr_storage primary key (storage_seq_no)
);
grant select,insert,delete,update on dbo.csr_storage to csr_user as dbo;
grant select on dbo.csr_storage to public as dbo;
grant select on dbo.csr_storage to sysmgr as dbo;

-- Object:  Table dbo.csr_storage_conditions    Script Date: 08-08-2019 18:50:49 

create table dbo.csr_storage_conditions (
   sc_seq_no numeric(9, 0) not null,
   product_seq_no numeric(9, 0) not null,
   in_out_location varchar(1) null,
   storage_location varchar(60) null,
   container_size int null,
   unit_c varchar(1) null,
   max_storage_size int null,
   unit_s varchar(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   container_type char(1) null,
   comments varchar(120) null,
 constraint pk_csr_storage_conditions primary key (sc_seq_no)
);
grant select,insert,delete,update on dbo.csr_storage_conditions to csr_user as dbo;
grant select on dbo.csr_storage_conditions to sysmgr as dbo;

-- Object:  Table dbo.csr_substance_lists    Script Date: 08-08-2019 18:50:49 

create table dbo.csr_substance_lists (
   list_seq_no numeric(9, 0) not null,
   ps_seq_no numeric(9, 0) not null,
   effect_list varchar(1) null,
   reach_list varchar(1) null,
   lous_list varchar(1) null,
   b_value varchar(30) null,
   abc_value varchar(1) null,
   assessed_by varchar(30) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   major_air_group char(1) null,
   substance_group char(1) null,
   class_air_guide char(1) null,
 constraint pk_csr_substance_lists primary key (list_seq_no)
);
grant select,insert,delete,update on dbo.csr_substance_lists to csr_user as dbo;
grant select on dbo.csr_substance_lists to sysmgr as dbo;

-- Object:  Table dbo.csr_substance_pictograms    Script Date: 08-08-2019 18:50:49 

create table dbo.csr_substance_pictograms (
   pict_seq_no numeric(9, 0) not null,
   ps_seq_no numeric(9, 0) not null,
   pict_id varchar(6) not null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_substance_pictograms primary key (pict_seq_no)
);
grant select,insert,delete,update on dbo.csr_substance_pictograms to csr_user as dbo;
grant select on dbo.csr_substance_pictograms to sysmgr as dbo;

-- Object:  Table dbo.csr_substances_h_sentences    Script Date: 08-08-2019 18:50:49 

create table dbo.csr_substances_h_sentences (
   h_seq_no numeric(9, 0) not null,
   ps_seq_no numeric(9, 0) not null,
   haz_no varchar(6) not null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   category_code varchar(20) null,
 constraint pk_csr_substances_h_sentences  primary key (h_seq_no)
);
grant select,insert,delete,update on dbo.csr_substances_h_sentences to csr_user as dbo;
grant select on dbo.csr_substances_h_sentences to sysmgr as dbo;

-- Object:  Table dbo.csr_table_setup    Script Date: 08-08-2019 18:50:49 

create table dbo.csr_table_setup (
   tab_seq_no numeric(9, 0) not null,
   grgroup_seq_no numeric(9, 0) not null,
   title varchar(120) not null,
   across varchar(30) null,
   down varchar(30) null,
   filtersted varchar(250) null,
   filtertype varchar(250) null,
   from_date datetime null,
   to_date datetime null,
   filename varchar(250) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   samlet_perkolat char(1) not null default 'n',
 constraint pk_csr_table_setup primary key (tab_seq_no)
);
grant select on dbo.csr_table_setup to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_table_setup to sysmgr as dbo;

-- Object:  Table dbo.csr_water_consump    Script Date: 08-08-2019 18:50:50 

create table dbo.csr_water_consump (
   consump_seq_no numeric(9, 0) not null,
   ind_seq_no numeric(9, 0) not null,
   energy_type varchar(6) null,
   process_type varchar(6) null,
   amount_year int null,
   unit varchar(3) null,
   comments varchar(120) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   year smallint not null,
   water_type varchar(6) null,
 constraint pk_csr_water_consump primary key (consump_seq_no)
);
grant select,insert,delete,update on dbo.csr_water_consump to csr_user as dbo;
grant select on dbo.csr_water_consump to sysmgr as dbo;

-- Object:  Table dbo.csr_wst_amount    Script Date: 08-08-2019 18:50:50 

create table dbo.csr_wst_amount (
   unit_id varchar(6) not null,
   wst_type varchar(6) not null,
   product_id varchar(6) not null,
   district_code varchar(6) null,
   year int null,
   amount int null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   truckload int null,
 constraint pk_csr_wst_amount primary key (unit_id, wst_type, product_id)
);
grant select,insert,delete,update on dbo.csr_wst_amount to csr_user as dbo;
grant select on dbo.csr_wst_amount to sysmgr as dbo;

-- Object:  Table dbo.csr_wst_amount_district    Script Date: 08-08-2019 18:50:50 

create table dbo.csr_wst_amount_district (
   ind_seq_no numeric(9, 0) not null,
   district_code varchar(6) not null,
   product_id varchar(6) not null,
   year int not null,
   truckload int null,
   amount int null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_wst_amount_district primary key (ind_seq_no, district_code, product_id, year)
);
grant select,insert,delete,update on dbo.csr_wst_amount_district to csr_user as dbo;
grant select on dbo.csr_wst_amount_district to sysmgr as dbo;

-- Object:  Table dbo.csr_wst_amount_unit    Script Date: 08-08-2019 18:50:50 

create table dbo.csr_wst_amount_unit (
   unit_id varchar(6) not null,
   product_id varchar(6) not null,
   year int not null,
   truckload int null,
   amount int null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_wst_amount_unit primary key (unit_id, product_id, year)
);
grant select,insert,delete,update on dbo.csr_wst_amount_unit to csr_user as dbo;
grant select on dbo.csr_wst_amount_unit to sysmgr as dbo;

-- Object:  Table dbo.csr_wst_product    Script Date: 08-08-2019 18:50:50 

create table dbo.csr_wst_product (
   product_id varchar(6) not null,
   product_name varchar(60) not null,
   active varchar(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   wst_type varchar(6) null,
 constraint pk_csr_wst_product primary key (product_id)
);
grant select on dbo.csr_wst_product to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_wst_product to sysmgr as dbo;

-- Object:  Table dbo.csr_wst_projection    Script Date: 08-08-2019 18:50:50 

create table dbo.csr_wst_projection (
   site_seq_no numeric(9, 0) not null,
   year int not null,
   amount int null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
 constraint pk_csr_wst_projection primary key (site_seq_no asc, year)
);
grant select,insert,delete,update on dbo.csr_wst_projection to csr_user as dbo;
grant select on dbo.csr_wst_projection to sysmgr as dbo;

-- Object:  Table dbo.csr_wst_type    Script Date: 08-08-2019 18:50:51 

create table dbo.csr_wst_type (
   wst_type varchar(6) not null,
   wst_type_name varchar(60) not null,
   wst_category varchar(15) null,
   active varchar(1) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   head1 varchar(30) null,
   head2 varchar(30) null,
 constraint pk_csr_wst_type primary key (wst_type)
);
grant select on dbo.csr_wst_type to csr_user as dbo;
grant select,insert,delete,update on dbo.csr_wst_type to sysmgr as dbo;

-- Object:  Table dbo.csr_x_sources_mapsheet    Script Date: 08-08-2019 18:50:51 

create table dbo.csr_x_sources_mapsheet (
   mapsheet_id varchar(15) not null,
   source_seq_no numeric(9, 0) not null,
   coor_no int not null,
   x_coor float null,
   y_coor float null,
   sort_no int null,
   coord_qual varchar(6) null,
   created datetime null default getdate(),
   created_by varchar(6) null default user_name(),
   changed datetime null,
   changed_by varchar(6) null,
   z_coor float null,
   z_coor_qual varchar(6) null,
   shape char(1) null,
   part_no int null,
 constraint pk_csr_x_sources_mapsheet primary key (mapsheet_id, source_seq_no, coor_no)
);
grant select,insert,delete,update on dbo.csr_x_sources_mapsheet to csr_user as dbo;
grant select on dbo.csr_x_sources_mapsheet to sysmgr as dbo;

-- Foreign kewys ------------------------------------------------------

drop_foreign_keys on csr_air_emis_a_calc;

alter table dbo.csr_air_emis_a_calc add constraint fk_csr_emis_a_calc_a_calc_per foreign key(calc_per_a_seq_no)
references dbo.csr_emis_a_calc_periods (calc_per_a_seq_no) on delete cascade;

alter table dbo.csr_air_emis_a_calc add constraint fk_csr_emis_a_calc_emis_methods foreign key(calc_method)
references dbo.ind_air_emis_methods (method_id);

alter table dbo.csr_air_emis_a_calc add constraint fk_emis_a_calc_std00019 foreign key(substance_id)
references dbo.std00019 (code) on delete cascade;

drop_foreign_keys on csr_air_emis_a_documents;

alter table dbo.csr_air_emis_a_documents add constraint fk_a_doc_a_calc_periods foreign key(calc_per_a_seq_no)
references dbo.csr_emis_a_calc_periods (calc_per_a_seq_no) on delete cascade;

drop_foreign_keys on csr_air_emis_area_source;

alter table dbo.csr_air_emis_area_source add constraint fk_csr_e_a_source_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

drop_foreign_keys on csr_air_emis_calc;

alter table dbo.csr_air_emis_calc add constraint fk_csr_emis_calc_calc_per foreign key(calc_per_seq_no)
references dbo.csr_air_emis_calc_periods (calc_per_seq_no) on delete cascade;

alter table dbo.csr_air_emis_calc add constraint fk_csr_emis_calc_emis_method foreign key(calc_method)
references dbo.ind_air_emis_methods (method_id);

alter table dbo.csr_air_emis_calc add constraint fk_emis_calc_std00019 foreign key(substance_id)
references dbo.std00019 (code);

drop_foreign_keys on csr_air_emis_calc_periods;

alter table dbo.csr_air_emis_calc_periods add constraint fk_calc_periods_ana_program foreign key(an_program_id)
references dbo.analysis_program (an_program_id) on delete cascade;

alter table dbo.csr_air_emis_calc_periods add constraint fk_calc_periods_std00032 foreign key(laboratorium_id)
references dbo.std00032 (code) on delete cascade;

alter table dbo.csr_air_emis_calc_periods add constraint fk_csr_calc_per_p_emis_sources foreign key(source_seq_no)
references dbo.csr_air_emis_source (source_seq_no) on delete cascade;

drop_foreign_keys on csr_air_emis_documents;

alter table dbo.csr_air_emis_documents add constraint fk_air_emis_doc_calc_periods foreign key(calc_per_seq_no)
references dbo.csr_air_emis_calc_periods (calc_per_seq_no) on delete cascade;

drop_foreign_keys on csr_air_emis_source;

alter table dbo.csr_air_emis_source add constraint fk_csr_a_emis_source_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

alter table dbo.csr_air_emis_source add constraint fk_csr_emis_sour_mapsheet foreign key(mapsheet_id)
references dbo.mapsheet (mapsheet_id);

drop_foreign_keys on csr_approval_conditions;

alter table dbo.csr_approval_conditions add constraint fk_case_officer foreign key(case_officer)
references dbo.case_officer (code);

alter table dbo.csr_approval_conditions add constraint fk_csr_app_cond_csr_app foreign key(ind_seq_no, approval_no)
references dbo.csr_approvals (ind_seq_no, approval_no) on delete cascade;

drop_foreign_keys on csr_approval_documents;

alter table dbo.csr_approval_documents add constraint fk_app_conditions foreign key(cond_seq_no)
references dbo.csr_approval_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_approval_log;

alter table dbo.csr_approval_log add constraint fk_apr_cond foreign key(cond_seq_no)
references dbo.csr_approval_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_approval_maps;

alter table dbo.csr_approval_maps add constraint fk_pic_maps_cond foreign key(cond_seq_no)
references dbo.csr_approval_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_approval_note;

alter table dbo.csr_approval_note add constraint fk_csr_note_approval foreign key(cond_seq_no)
references dbo.csr_approval_conditions (cond_seq_no) on delete cascade;

alter table dbo.csr_approval_note add constraint fk_csr_note_ind_note_title foreign key(note_title_no)
references dbo.ind_note_title (note_title_no);

drop_foreign_keys on csr_approval_sop;

alter table dbo.csr_approval_sop add constraint fk_sop_appr_cond foreign key(cond_seq_no)
references dbo.csr_approval_conditions (cond_seq_no) on delete cascade;

alter table dbo.csr_approval_sop add constraint fk_sop_qual_proc foreign key(sop_id)
references dbo.qual_process (proc_id);

drop_foreign_keys on csr_approvals;

alter table dbo.csr_approvals add constraint fk_csr_app_types foreign key(approval_type)
references dbo.csr_approval_types (approval_id);

alter table dbo.csr_approvals add constraint fk_csr_appr_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

alter table dbo.csr_approvals add constraint fk_csr_approvals_department foreign key(department)
references dbo.csr_department (department);

drop_foreign_keys on csr_cf_consumption;

alter table dbo.csr_cf_consumption add constraint fk_cf_cons_cf_types foreign key(consump_type)
references dbo.csr_cf_consumption_types (type_id);

alter table dbo.csr_cf_consumption add constraint fk_cf_consump_sources foreign key(co2_source)
references dbo.csr_cf_sources (source_id) on delete cascade;

alter table dbo.csr_cf_consumption add constraint fk_consump_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

drop_foreign_keys on csr_cf_emissions;

alter table dbo.csr_cf_emissions add constraint fk_cf_emis_consump foreign key(cf_seq_no)
references dbo.csr_cf_consumption (cf_seq_no) on delete cascade;

drop_foreign_keys on csr_cond_picture;

alter table dbo.csr_cond_picture add constraint fk_pic_cond foreign key(cond_seq_no)
references dbo.csr_approval_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_condition_concerns;

alter table dbo.csr_condition_concerns add constraint fk_cc_appr_cond foreign key(cond_seq_no)
references dbo.csr_approval_conditions (cond_seq_no) on delete cascade;

alter table dbo.csr_condition_concerns add constraint fk_cc_subject foreign key(cc_id)
references dbo.csr_condition_subjects (subject_id);

drop_foreign_keys on csr_conditions_clipboard;

alter table dbo.csr_conditions_clipboard add constraint fk_clipboard_cond foreign key(cond_seq_no)
references dbo.csr_approval_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_consumption;

alter table dbo.csr_consumption add constraint fk_consum_product foreign key(product_seq_no)
references dbo.csr_products (product_seq_no) on delete cascade;

drop_foreign_keys on csr_current_bref;

alter table dbo.csr_current_bref add constraint fk_bref_bref_doc foreign key(bref_id)
references dbo.csr_bref_documents (bref_id);

alter table dbo.csr_current_bref add constraint fk_bref_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

drop_foreign_keys on csr_demand_cond_picture;

alter table dbo.csr_demand_cond_picture add constraint fk_dpic_cond foreign key(cond_seq_no)
references dbo.csr_demand_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_demand_condition_concerns;

alter table dbo.csr_demand_condition_concerns add constraint fk_dcc_appr_cond foreign key(cond_seq_no)
references dbo.csr_demand_conditions (cond_seq_no) on delete cascade;

alter table dbo.csr_demand_condition_concerns add constraint fk_dcc_subject foreign key(dcc_id)
references dbo.csr_condition_subjects (subject_id);

drop_foreign_keys on csr_demand_conditions;

alter table dbo.csr_demand_conditions add constraint fk_csr_dem_cond_csr_dem foreign key(ind_seq_no, demand_no)
references dbo.csr_demands (ind_seq_no, demand_no) on delete cascade;

alter table dbo.csr_demand_conditions add constraint fk_dem_case_officer foreign key(case_officer)
references dbo.case_officer (code);

drop_foreign_keys on csr_demand_conditions_clipboard;

alter table dbo.csr_demand_conditions_clipboard add constraint fk_clipboard_demand_cond foreign key(cond_seq_no)
references dbo.csr_demand_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_demand_documents;

alter table dbo.csr_demand_documents add constraint fk_ddoc_demand_conditions foreign key(cond_seq_no)
references dbo.csr_demand_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_demand_log;

alter table dbo.csr_demand_log add constraint fk_demand_log_cond foreign key(cond_seq_no)
references dbo.csr_demand_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_demand_maintenance_ref;

alter table dbo.csr_demand_maintenance_ref add constraint fk_dmain_conditions foreign key(cond_seq_no)
references dbo.csr_demand_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_demand_maps;

alter table dbo.csr_demand_maps add constraint fk_dpic_maps_cond foreign key(cond_seq_no)
references dbo.csr_demand_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_demand_note;

alter table dbo.csr_demand_note add constraint fk_csr_demand_note foreign key(dcond_seq_no)
references dbo.csr_demand_conditions (cond_seq_no) on delete cascade;

alter table dbo.csr_demand_note add constraint fk_csr_demand_note_ind_note_title foreign key(note_title_no)
references dbo.ind_note_title (note_title_no);

drop_foreign_keys on csr_demand_sop;

alter table dbo.csr_demand_sop add constraint fk_demand_sop_appr_cond foreign key(cond_seq_no)
references dbo.csr_demand_conditions (cond_seq_no) on delete cascade;

alter table dbo.csr_demand_sop add constraint fk_dsop_qual_proc foreign key(dsop_id)
references dbo.qual_process (proc_id);

drop_foreign_keys on csr_demands;

alter table dbo.csr_demands add constraint fk_csr_ot_app_types foreign key(demand_type)
references dbo.csr_approval_types (approval_id);

alter table dbo.csr_demands add constraint fk_csr_ot_appr_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

alter table dbo.csr_demands add constraint fk_csr_ot_department foreign key(department)
references dbo.csm_department (department);

drop_foreign_keys on csr_discharge_area;

alter table dbo.csr_discharge_area add constraint fk_discharge_area_sources foreign key(source_seq_no)
references dbo.csr_sources (source_seq_no) on delete cascade;

drop_foreign_keys on csr_dumpsite;

alter table dbo.csr_dumpsite add constraint fk_dumpsite_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

drop_foreign_keys on csr_dumpsite_chemicals;

alter table dbo.csr_dumpsite_chemicals add constraint fk_dump_chem_dumpsite foreign key(dumpsite_seq_no)
references dbo.csr_dumpsite (dumpsite_seq_no);

drop_foreign_keys on csr_electricity;

alter table dbo.csr_electricity add constraint fk_csr_electricity_ind_energy_ty foreign key(energy_type)
references dbo.ind_energy_types (energy_type);

alter table dbo.csr_electricity add constraint fk_csr_electricity_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

alter table dbo.csr_electricity add constraint fk_csr_electricity_ind_process_types foreign key(process_type)
references dbo.ind_process_types (process_type);

drop_foreign_keys on csr_emis_a_calc_periods;

alter table dbo.csr_emis_a_calc_periods add constraint fk_csr_calc_per_a_emis_sources foreign key(source_seq_no)
references dbo.csr_air_emis_area_source (source_seq_no) on delete cascade;

alter table dbo.csr_emis_a_calc_periods add constraint fk_emis_a_calc_an_program foreign key(an_program_id)
references dbo.analysis_program (an_program_id) on delete cascade;

alter table dbo.csr_emis_a_calc_periods add constraint fk_emis_a_calc_std00032 foreign key(laboratorium_id)
references dbo.std00032 (code) on delete cascade;

drop_foreign_keys on csr_emis_calc_periods;

alter table dbo.csr_emis_calc_periods add constraint fk_calc_per_p_csr_emis_sources foreign key(source_seq_no)
references dbo.csr_air_emis_source (source_seq_no) on delete cascade;

drop_foreign_keys on csr_emission_conditions;

alter table dbo.csr_emission_conditions add constraint fk_emis_prod foreign key(product_seq_no)
references dbo.csr_products (product_seq_no) on delete cascade;

drop_foreign_keys on csr_emission_documents;

alter table dbo.csr_emission_documents add constraint fk_cf_doc_cf_consump foreign key(cf_seq_no)
references dbo.csr_cf_consumption (cf_seq_no) on delete cascade;

drop_foreign_keys on csr_graph_group;

alter table dbo.csr_graph_group add constraint fk_csr_graph_group_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

drop_foreign_keys on csr_graph_parameter;

alter table dbo.csr_graph_parameter add constraint fk_csr_graph_par_sample_type foreign key(sampletype)
references dbo.sample_type (code);

alter table dbo.csr_graph_parameter add constraint fk_csr_graph_par_sampling_place foreign key(place_seq_no)
references dbo.sampling_place (place_seq_no);

alter table dbo.csr_graph_parameter add constraint fk_csr_graph_parameter_group foreign key(grgroup_seq_no)
references dbo.csr_graph_group (grgroup_seq_no);

drop_foreign_keys on csr_graph_parameter_detail;

alter table dbo.csr_graph_parameter_detail add constraint fk_csr_graph_par_detail_csr_graph_par foreign key(gr_seq_no)
references dbo.csr_graph_parameter (gr_seq_no) on delete cascade;

alter table dbo.csr_graph_parameter_detail add constraint fk_csr_graph_par_detail_std00019 foreign key(element_no)
references dbo.std00019 (code) on delete cascade;

drop_foreign_keys on csr_heating;

alter table dbo.csr_heating add constraint fk_csr_heating_ind_energy_ty foreign key(energy_type)
references dbo.ind_energy_types (energy_type);

alter table dbo.csr_heating add constraint fk_csr_heating_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

alter table dbo.csr_heating add constraint fk_csr_heating_ind_process_types foreign key(process_type)
references dbo.ind_process_types (process_type);

drop_foreign_keys on csr_land_register;

alter table dbo.csr_land_register add constraint fk_csr_land_reg_land_register foreign key(land_reg_code)
references dbo.land_register (land_reg_code);

drop_foreign_keys on csr_local_planning;

alter table dbo.csr_local_planning add constraint fk_local_pl_type foreign key(plan_type)
references dbo.csr_local_plan_type (local_plan_type);

alter table dbo.csr_local_planning add constraint fk_local_plan_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

alter table dbo.csr_local_planning add constraint fk_planning_surr foreign key(ind_seq_no)
references dbo.ind_surroundings (ind_seq_no) on delete cascade;

drop_foreign_keys on csr_maintenance_ref;

alter table dbo.csr_maintenance_ref add constraint fk_main_conditions foreign key(cond_seq_no)
references dbo.csr_approval_conditions (cond_seq_no) on delete cascade;

drop_foreign_keys on csr_message_center;

alter table dbo.csr_message_center add constraint fk_disp_aut_case_officer foreign key(dispatcher_aut)
references dbo.case_officer (code);

alter table dbo.csr_message_center add constraint fk_disp_firm_case_officer foreign key(dispatcher_firm)
references dbo.case_officer (code);

alter table dbo.csr_message_center add constraint fk_message_2_department foreign key(department_2)
references dbo.csm_department (department);

alter table dbo.csr_message_center add constraint fk_message_department foreign key(department)
references dbo.csm_department (department);

alter table dbo.csr_message_center add constraint fk_message_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

alter table dbo.csr_message_center add constraint fk_rec_aut_case_officer foreign key(receiver_aut)
references dbo.case_officer (code) on delete cascade;

alter table dbo.csr_message_center add constraint fk_rec_firm_case_officer foreign key(receiver_firm)
references dbo.case_officer (code);

drop_foreign_keys on csr_noise;

alter table dbo.csr_noise add constraint fk_csr_noise_csr_sources foreign key(csr_source_seq_no)
references dbo.csr_sources (source_seq_no);

alter table dbo.csr_noise add constraint fk_csr_noise_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

alter table dbo.csr_noise add constraint fk_csr_noise_ind_noise_typ foreign key(noise_type)
references dbo.ind_noise_types (noise_type);

alter table dbo.csr_noise add constraint fk_csr_noise_reduction foreign key(reduction_type)
references dbo.ind_noise_reduction (reduction_type);

drop_foreign_keys on csr_noise_calc;

alter table dbo.csr_noise_calc add constraint fk_noise_calc_ind_noise_methods foreign key(calc_methods)
references dbo.ind_noise_types (noise_type) on delete cascade;

alter table dbo.csr_noise_calc add constraint fk_noise_calc_noise_periods foreign key(noise_per_seq_no)
references dbo.csr_noise_periods (noise_per_seq_no) on delete cascade;

drop_foreign_keys on csr_noise_documents;

alter table dbo.csr_noise_documents add constraint fk_noise_doc_noise_periods foreign key(noise_per_seq_no)
references dbo.csr_noise_periods (noise_per_seq_no) on delete cascade;

drop_foreign_keys on csr_noise_periods;

alter table dbo.csr_noise_periods add constraint fk_noise_per_csr_noise foreign key(noise_seq_no)
references dbo.csr_noise (noise_seq_no) on delete cascade;

alter table dbo.csr_noise_periods add constraint fk_noise_periods_ana_program foreign key(an_program_id)
references dbo.analysis_program (an_program_id) on delete cascade;

alter table dbo.csr_noise_periods add constraint fk_noise_periods_std00032 foreign key(laboratorium_id)
references dbo.std00032 (code) on delete cascade;

drop_foreign_keys on csr_noise_reduction;

alter table dbo.csr_noise_reduction add constraint fk_noise_reduction_red_type foreign key(reduction_type)
references dbo.csr_noise_reduction_type (reduction_type);

alter table dbo.csr_noise_reduction add constraint noise_seq_no foreign key(noise_seq_no)
references dbo.csr_noise (noise_seq_no);

drop_foreign_keys on csr_odour;

alter table dbo.csr_odour add constraint fk_csr_odour_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

drop_foreign_keys on csr_odour_calc;

alter table dbo.csr_odour_calc add constraint fk_odour_calc_periods foreign key(odour_per_seq_no)
references dbo.csr_odour_periods (odour_per_seq_no) on delete cascade;

drop_foreign_keys on csr_odour_documents;

alter table dbo.csr_odour_documents add constraint fk_odour_doc_odour_periods foreign key(odour_per_seq_no)
references dbo.csr_odour_periods (odour_per_seq_no) on delete cascade;

drop_foreign_keys on csr_odour_periods;

alter table dbo.csr_odour_periods add constraint fk_odour_ana_analysis_p foreign key(an_program_id)
references dbo.analysis_program (an_program_id);

alter table dbo.csr_odour_periods add constraint fk_odour_lab_std00032 foreign key(laboratorium_id)
references dbo.std00032 (code);

alter table dbo.csr_odour_periods add constraint fk_odour_per_odour foreign key(odour_seq_no)
references dbo.csr_odour (odour_seq_no) on delete cascade;

drop_foreign_keys on csr_other_demands;

alter table dbo.csr_other_demands add constraint fk_demand_case_officer foreign key(case_officer)
references dbo.case_officer (code);

alter table dbo.csr_other_demands add constraint fk_demands_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

drop_foreign_keys on csr_pipes;

alter table dbo.csr_pipes add constraint fk_pipes_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

drop_foreign_keys on csr_plant;

alter table dbo.csr_plant add constraint fk_csr_plant_ind foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

alter table dbo.csr_plant add constraint fk_csr_plant_plant_type foreign key(plant_type)
references dbo.csr_plant_type (plant_code);

alter table dbo.csr_plant add constraint fk_csr_plant_std00027 foreign key(agency_id)
references dbo.std00027 (code);

drop_foreign_keys on csr_plant_documents;

alter table dbo.csr_plant_documents add constraint fk_pdoc_plant foreign key(plant_seq_no)
references dbo.csr_plant (plant_seq_no) on delete cascade;

drop_foreign_keys on csr_plant_log;

alter table dbo.csr_plant_log add constraint fk_plant_log_plant foreign key(plant_seq_no)
references dbo.csr_plant (plant_seq_no) on delete cascade;

drop_foreign_keys on csr_plant_maps;

alter table dbo.csr_plant_maps add constraint fk_pic_maps_plant foreign key(plant_seq_no)
references dbo.csr_plant (plant_seq_no) on delete cascade;

drop_foreign_keys on csr_plant_picture;

alter table dbo.csr_plant_picture add constraint fk_pic_picture_plant foreign key(plant_seq_no)
references dbo.csr_plant (plant_seq_no) on delete cascade;

drop_foreign_keys on csr_plant_unit;

alter table dbo.csr_plant_unit add constraint fk_csr_plant_csr_plant_unit foreign key(plant_seq_no)
references dbo.csr_plant (plant_seq_no) on delete cascade;

drop_foreign_keys on csr_prod_areas;

alter table dbo.csr_prod_areas add constraint fk_csr_prod_areas_ind_descr_prod foreign key(ind_seq_no)
references dbo.ind_descr_product (ind_seq_no) on delete cascade;

alter table dbo.csr_prod_areas add constraint fk_prod_areas_area_types foreign key(area_type_id)
references dbo.csr_area_types (area_type_id);

drop_foreign_keys on csr_prod_employees;

alter table dbo.csr_prod_employees add constraint fk_prod_emp_emp_types foreign key(emp_type)
references dbo.csr_employee_types (emp_type_id);

alter table dbo.csr_prod_employees add constraint fk_prod_emp_ind_prod foreign key(ind_seq_no)
references dbo.ind_descr_product (ind_seq_no) on delete cascade;

drop_foreign_keys on csr_product_h_sentences;

alter table dbo.csr_product_h_sentences add constraint fk_csr_product_h_category_codes foreign key(category_code)
references dbo.csr_category_codes (category_code);

alter table dbo.csr_product_h_sentences add constraint fk_h_sent_products foreign key(product_seq_no)
references dbo.csr_products (product_seq_no) on delete cascade;

alter table dbo.csr_product_h_sentences add constraint fk_product_h_haz_sentences foreign key(haz_no)
references dbo.csr_haz_sentences (haz_no);

drop_foreign_keys on csr_product_pictograms;

alter table dbo.csr_product_pictograms add constraint fk_picto_product foreign key(product_seq_no)
references dbo.csr_products (product_seq_no) on delete cascade;

alter table dbo.csr_product_pictograms add constraint fk_product_pict_pict_types foreign key(pict_id)
references dbo.csr_pictogram_types (pict_id);

drop_foreign_keys on csr_product_substances;

alter table dbo.csr_product_substances add constraint fk_substance_prod foreign key(product_seq_no)
references dbo.csr_products (product_seq_no) on delete cascade;

drop_foreign_keys on csr_products;

alter table dbo.csr_products add constraint fk_products_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

alter table dbo.csr_products add constraint fk_products_locations foreign key(location_id)
references dbo.csr_locations (location_id);

alter table dbo.csr_products add constraint fk_products_main_category foreign key(main_category)
references dbo.csr_prod_main_category (main_cat_id) on delete cascade;

alter table dbo.csr_products add constraint fk_products_sub_category foreign key(sub_category)
references dbo.csr_prod_sub_category (sub_cat_id) on delete cascade;

drop_foreign_keys on csr_risk_cause;

alter table dbo.csr_risk_cause add constraint fk_csr_risk_ca_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

drop_foreign_keys on csr_risk_classification;

alter table dbo.csr_risk_classification add constraint fk_csr_risk_class_csr_risk_category foreign key(risk_category)
references dbo.csr_risk_category (risk_category);

alter table dbo.csr_risk_classification add constraint fk_csr_risk_class_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

drop_foreign_keys on csr_source_picture;

alter table dbo.csr_source_picture add constraint fk_pic_source foreign key(source_seq_no)
references dbo.csr_sources (source_seq_no) on delete cascade;

drop_foreign_keys on csr_source_types;

alter table dbo.csr_source_types add constraint fk_source_t_source_type foreign key(source_type_id)
references dbo.csr_source_types_base (source_type_id) on delete cascade;

alter table dbo.csr_source_types add constraint fk_type_sources foreign key(source_seq_no)
references dbo.csr_sources (source_seq_no) on delete cascade;

drop_foreign_keys on csr_sources;

alter table dbo.csr_sources add constraint fk_csr_sources_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

drop_foreign_keys on csr_sources_discharge;

alter table dbo.csr_sources_discharge add constraint fk_discharge_case_officer foreign key(case_officer)
references dbo.case_officer (code);

alter table dbo.csr_sources_discharge add constraint fk_discharge_csr_sources foreign key(source_seq_no)
references dbo.csr_sources (source_seq_no) on delete cascade;

drop_foreign_keys on csr_sources_fan;

alter table dbo.csr_sources_fan add constraint fk_sources_fan_discharge foreign key(discharge_seq_no)
references dbo.csr_sources_discharge (discharge_seq_no) on delete cascade;

drop_foreign_keys on csr_sources_filter;

alter table dbo.csr_sources_filter add constraint fk_sources_filter_discharge foreign key(discharge_seq_no)
references dbo.csr_sources_discharge (discharge_seq_no) on delete cascade;

drop_foreign_keys on csr_sources_motor;

alter table dbo.csr_sources_motor add constraint fk_motor_discharge foreign key(discharge_seq_no)
references dbo.csr_sources_discharge (discharge_seq_no) on delete cascade;

drop_foreign_keys on csr_storage;

alter table dbo.csr_storage add constraint fk_storage_indu foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no);

drop_foreign_keys on csr_storage_conditions;

alter table dbo.csr_storage_conditions add constraint fk_storage_prod foreign key(product_seq_no)
references dbo.csr_products (product_seq_no) on delete cascade;

drop_foreign_keys on csr_substance_lists;

alter table dbo.csr_substance_lists add constraint fk_lists_substances foreign key(ps_seq_no)
references dbo.csr_product_substances (ps_seq_no) on delete cascade;

drop_foreign_keys on csr_substance_pictograms;

alter table dbo.csr_substance_pictograms add constraint fk_sub_pict_prod_subst foreign key(ps_seq_no)
references dbo.csr_product_substances (ps_seq_no) on delete cascade;

alter table dbo.csr_substance_pictograms add constraint fk_substance_pict_pict_types foreign key(pict_id)
references dbo.csr_pictogram_types (pict_id);

drop_foreign_keys on csr_substances_h_sentences;

alter table dbo.csr_substances_h_sentences add constraint fk_subst_haz_subst foreign key(haz_no)
references dbo.csr_haz_sentences (haz_no) on delete cascade;

alter table dbo.csr_substances_h_sentences add constraint fk_subst_sent foreign key(ps_seq_no)
references dbo.csr_product_substances (ps_seq_no) on delete cascade;

alter table dbo.csr_substances_h_sentences add constraint fk_substance_h_category_codes foreign key(category_code)
references dbo.csr_category_codes (category_code);

drop_foreign_keys on csr_table_setup;

alter table dbo.csr_table_setup add constraint fk_csr_table_setup_group foreign key(grgroup_seq_no)
references dbo.csr_graph_group (grgroup_seq_no);

drop_foreign_keys on csr_water_consump;

alter table dbo.csr_water_consump add constraint fk_csr_consump_ind_energy_ty foreign key(energy_type)
references dbo.ind_energy_types (energy_type);

alter table dbo.csr_water_consump add constraint fk_csr_consump_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

alter table dbo.csr_water_consump add constraint fk_csr_consump_ind_process_types foreign key(process_type)
references dbo.ind_process_types (process_type);

alter table dbo.csr_water_consump add constraint fk_water_consump_water_types foreign key(water_type)
references dbo.wcat_water_types (code);

drop_foreign_keys on csr_wst_amount;

alter table dbo.csr_wst_amount add constraint fk_csr_wst_amount_csr_wst_plant_unit foreign key(unit_id)
references dbo.csr_plant_unit (unit_id) on delete cascade;

alter table dbo.csr_wst_amount add constraint fk_csr_wst_amount_csr_wst_product foreign key(product_id)
references dbo.csr_wst_product (product_id);

alter table dbo.csr_wst_amount add constraint fk_csr_wst_amount_csr_wst_type foreign key(wst_type)
references dbo.csr_wst_type (wst_type);

alter table dbo.csr_wst_amount add constraint fk_csr_wst_amount_gsc_district foreign key(district_code)
references dbo.gsc_district (code);

drop_foreign_keys on csr_wst_amount_district;

alter table dbo.csr_wst_amount_district add constraint fk_csr_wst_amount_district_csr_wst_product foreign key(product_id)
references dbo.csr_wst_product (product_id) on delete cascade;

alter table dbo.csr_wst_amount_district add constraint fk_csr_wst_amount_district_ind_industry foreign key(ind_seq_no)
references dbo.ind_industry (ind_seq_no) on delete cascade;

drop_foreign_keys on csr_wst_amount_unit;

alter table dbo.csr_wst_amount_unit add constraint fk_csr_wst_amount_unit_csr_wst_plant_unit foreign key(unit_id)
references dbo.csr_plant_unit (unit_id) on delete cascade;

alter table dbo.csr_wst_amount_unit add constraint fk_csr_wst_amount_unit_csr_wst_product foreign key(product_id)
references dbo.csr_wst_product (product_id) on delete cascade;

drop_foreign_keys on csr_wst_product;

alter table dbo.csr_wst_product add constraint fk_csr_wst_product_wst_type foreign key(wst_type)
references dbo.csr_wst_type (wst_type);

drop_foreign_keys on csr_wst_projection;

alter table dbo.csr_wst_projection add constraint fk_csr_wst_projection_site foreign key(site_seq_no)
references dbo.site (site_seq_no);

drop_foreign_keys on csr_x_sources_mapsheet;

alter table dbo.csr_x_sources_mapsheet add constraint fk_csr_x_sources_map_coord_qual foreign key(coord_qual)
references dbo.map_coord_qual (coord_qual);

alter table dbo.csr_x_sources_mapsheet add constraint fk_csr_x_sources_map_mapsheet foreign key(mapsheet_id)
references dbo.mapsheet (mapsheet_id);

alter table dbo.csr_x_sources_mapsheet add constraint fk_csr_x_sources_map_z_coord_qual foreign key(z_coor_qual)
references dbo.map_coord_qual (coord_qual);

alter table dbo.csr_x_sources_mapsheet add constraint fk_x_sour_mapsheet foreign key(source_seq_no)
references dbo.csr_sources (source_seq_no) on delete cascade;

