-- 29-05-2020 TRK
--
-- gsc_district_mapping - 12.3.0 - mss

patch_id gsc_district_mapping_1230_200529

--******************************************************************************
-- Opret tabellen gsc_district_mapping                                29-05-2020
--******************************************************************************

create table dbo.gsc_district_mapping (
   district_code          int                 not null,
   district_2007_code     int                 not null,
   district_name          varchar(60)         not null,
   district_2007_name     varchar(60)         not null,
   same_code_after_2007   varchar(1)          not null default '0',

   created                datetime            null default current_timestamp,
   created_by             varchar(6)          null default current_user,
   changed                datetime            null,
   changed_by             varchar(6)          null,
   constraint pk_gsc_district_mapping primary key clustered (district_code, district_2007_code)
);

grant select on gsc_district_mapping to public;
grant select, insert, update, delete on gsc_district_mapping to sysmgr;

--******************************************************************************
-- Indst rkker i tabellen gsc_district_mapping                      29-05-2020
--******************************************************************************

delete from gsc_district_mapping;

insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (101, 101, 'Kbenhavn', 'Kbenhavn', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (147, 147, 'Frederiksberg', 'Frederiksberg', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (151, 151, 'Ballerup', 'Ballerup', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (153, 153, 'Brndby', 'Brndby', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (155, 155, 'Dragr', 'Dragr', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (157, 157, 'Gentofte', 'Gentofte', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (159, 159, 'Gladsaxe', 'Gladsaxe', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (161, 161, 'Glostrup', 'Glostrup', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (163, 163, 'Herlev', 'Herlev', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (165, 165, 'Albertslund', 'Albertslund', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (167, 167, 'Hvidovre', 'Hvidovre', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (169, 169, 'Hje-Taastrup', 'Hje-Taastrup', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (171, 240, 'Ledje-Smrum', 'Egedal', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (173, 173, 'Lyngby-Trbk', 'Lyngby-Taarbk', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (175, 175, 'Rdovre', 'Rdovre', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (181, 230, 'Sllerd', 'Rudersdal', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (183, 183, 'Ishj', 'Ishj', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (185, 185, 'Trnby', 'Trnby', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (187, 187, 'Vallensbk', 'Vallensbk', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (189, 190, 'Vrlse', 'Fures', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (201, 201, 'Allerd', 'Allerd', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (205, 230, 'Birkerd', 'Rudersdal', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (207, 190, 'Farum', 'Fures', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (208, 210, 'Fredensborg-Humlebk', 'Fredensborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (209, 250, 'Frederikssund', 'Frederikssund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (211, 260, 'Frederiksvrk', 'Halsns', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (213, 270, 'Grsted-Gilleleje', 'Gribskov', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (215, 270, 'Helsinge', 'Gribskov', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (217, 217, 'Helsingr', 'Helsingr', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (221, 260, 'Hundested', 'Halsns', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (223, 223, 'Hrsholm', 'Hrsholm', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (225, 250, 'Jgerspris', 'Frederikssund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (227, 210, 'Karlebo', 'Fredensborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (229, 250, 'Skibby', 'Frederikssund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (231, 219, 'Skvinge', 'Hillerd', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (233, 219, 'Slangerup', 'Hillerd', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (233, 250, 'Slangerup', 'Frederikssund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (235, 240, 'Stenlse', 'Egedal', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (237, 240, 'lstykke', 'Egedal', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (251, 350, 'Bramsns', 'Lejre', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (253, 253, 'Greve', 'Greve', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (255, 265, 'Gunds', 'Roskilde', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (257, 350, 'Hvals', 'Lejre', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (261, 350, 'Lejre', 'Lejre', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (263, 265, 'Rams', 'Roskilde', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (267, 259, 'Skovbo', 'Kge', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (269, 269, 'Solrd', 'Solrd', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (271, 336, 'Vall', 'Stevns', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (301, 326, 'Bjergsted', 'Kalundborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (303, 340, 'Dianalund', 'Sor', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (305, 306, 'Dragsholm', 'Odsherred', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (307, 370, 'Fuglebjerg', 'Nstved', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (309, 326, 'Grlev', 'Kalundborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (311, 330, 'Hashj', 'Slagelse', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (313, 320, 'Haslev', 'Faxe', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (315, 316, 'Holbk', 'Holbk', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (317, 326, 'Hvidebk', 'Kalundborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (319, 326, 'Hng', 'Kalundborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (321, 316, 'Jernlse', 'Holbk', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (323, 326, 'Kalundborg', 'Kalundborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (325, 330, 'Korsr', 'Slagelse', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (327, 306, 'Nykbing-Rrvig', 'Odsherred', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (329, 329, 'Ringsted', 'Ringsted', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (331, 330, 'Sklskr', 'Slagelse', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (333, 330, 'Slagelse', 'Slagelse', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (335, 340, 'Sor', 'Sor', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (337, 340, 'Stenlille', 'Sor', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (339, 316, 'Svinninge', 'Holbk', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (341, 316, 'Tornved', 'Holbk', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (343, 306, 'Trundholm', 'Odsherred', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (345, 316, 'Tllse', 'Holbk', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (351, 320, 'Fakse', 'Faxe', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (353, 370, 'Flads', 'Nstved', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (355, 360, 'Holeby', 'Lolland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (357, 370, 'Holmegrd', 'Nstved', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (359, 360, 'Hjreby', 'Lolland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (361, 390, 'Langebk', 'Vordingborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (363, 360, 'Maribo', 'Lolland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (365, 390, 'Mn', 'Vordingborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (367, 360, 'Nakskov', 'Lolland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (369, 376, 'Nykbing-Falster', 'Guldborgsund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (371, 376, 'Nysted', 'Guldborgsund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (373, 370, 'Nstved', 'Nstved', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (375, 376, 'Nrre-Alslev', 'Guldborgsund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (377, 390, 'Prst', 'Vordingborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (379, 360, 'Ravnsborg', 'Lolland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (381, 360, 'Rudbjerg', 'Lolland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (383, 360, 'Rdby', 'Lolland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (385, 320, 'Rnnede', 'Faxe', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (387, 376, 'Sakskbing', 'Guldborgsund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (389, 336, 'Stevns', 'Stevns', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (391, 376, 'Stubbekbing', 'Guldborgsund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (393, 370, 'Sus', 'Nstved', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (395, 376, 'Sydfalster', 'Guldborgsund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (397, 390, 'Vordingborg', 'Vordingborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (400, 400, 'Bornholm', 'Bornholm', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (401, 400, 'Allinge-Gudhjem', 'Bornholm', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (403, 400, 'Hasle', 'Bornholm', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (405, 400, 'Neks', 'Bornholm', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (407, 400, 'Rnne', 'Bornholm', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (409, 400, 'Aakirkeby', 'Bornholm', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (421, 420, 'Assens', 'Assens', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (423, 480, 'Bogense', 'Nordfyns', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (425, 430, 'Broby', 'Faaborg-Midtfyn', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (427, 479, 'Egebjerg', 'Svendborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (429, 410, 'Ejby', 'Middelfart', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (431, 430, 'Faaborg', 'Faaborg-Midtfyn', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (433, 420, 'Glamsbjerg', 'Assens', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (435, 479, 'Gudme', 'Svendborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (437, 420, 'Haarby', 'Assens', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (439, 440, 'Kerteminde', 'Kerteminde', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (441, 440, 'Langeskov', 'Kerteminde', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (443, 492, 'Marstal', 'r', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (445, 410, 'Middelfart', 'Middelfart', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (447, 440, 'Munkebo', 'Kerteminde', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (449, 450, 'Nyborg', 'Nyborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (451, 410, 'Nrre Aaby', 'Middelfart', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (461, 461, 'Odense', 'Odense', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (471, 480, 'Otterup', 'Nordfyns', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (473, 430, 'Ringe', 'Faaborg-Midtfyn', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (475, 482, 'Rudkbing', 'Langeland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (477, 430, 'Ryslinge', 'Faaborg-Midtfyn', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (481, 482, 'Sydlangeland', 'Langeland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (483, 480, 'Snders', 'Nordfyns', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (485, 420, 'Tommerup', 'Assens', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (487, 482, 'Tranekr', 'Langeland', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (489, 450, 'Ullerslev', 'Nyborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (491, 420, 'Vissenbjerg', 'Assens', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (493, 492, 'rskbing', 'r', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (495, 450, 'rbk', 'Nyborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (497, 430, 'rslev', 'Faaborg-Midtfyn', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (499, 420, 'Aarup', 'Assens', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (501, 540, 'Augustenborg', 'Snderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (503, 580, 'Bov', 'Aabenraa', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (505, 550, 'Bredebro', 'Tnder', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (507, 540, 'Broager', 'Snderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (509, 510, 'Christiansfeld', 'Haderslev', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (509, 621, 'Christiansfeld', 'Kolding', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (511, 510, 'Gram', 'Haderslev', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (513, 540, 'Grsten', 'Snderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (515, 510, 'Haderslev', 'Haderslev', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (517, 550, 'Hjer', 'Tnder', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (519, 580, 'Lundtoft', 'Aabenraa', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (521, 550, 'Lgumkloster', 'Tnder', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (523, 540, 'Nordborg', 'Snderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (525, 510, 'Nr. Rangstrup', 'Haderslev', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (525, 550, 'Nr. Rangstrup', 'Tnder', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (527, 575, 'Rdding', 'Vejen', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (529, 580, 'Rdekro', 'Aabenraa', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (531, 550, 'Skrbk', 'Tnder', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (533, 540, 'Sundeved', 'Snderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (535, 540, 'Sydals', 'Snderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (537, 540, 'Snderborg', 'Snderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (539, 580, 'Tinglev', 'Aabenraa', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (541, 550, 'Tnder', 'Tnder', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (543, 510, 'Vojens', 'Haderslev', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (545, 580, 'Aabenraa', 'Aabenraa', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (551, 530, 'Billund', 'Billund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (553, 573, 'Blaabjerg', 'Varde', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (555, 573, 'Blvandshuk', 'Varde', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (557, 561, 'Bramming', 'Esbjerg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (559, 575, 'Brrup', 'Vejen', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (563, 563, 'Fan', 'Fan', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (565, 530, 'Grindsted', 'Billund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (567, 561, 'Helle', 'Esbjerg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (567, 573, 'Helle', 'Varde', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (569, 575, 'Holsted', 'Vejen', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (571, 561, 'Ribe', 'Esbjerg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (577, 573, 'lgod', 'Varde', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (601, 615, 'Brdstrup', 'Horsens', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (601, 746, 'Brdstrup', 'Skanderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (603, 630, 'Brkop', 'Vejle', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (605, 621, 'Egtved', 'Kolding', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (605, 630, 'Egtved', 'Vejle', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (607, 607, 'Fredericia', 'Fredericia', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (609, 615, 'Gedved', 'Horsens', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (611, 530, 'Give', 'Billund', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (611, 630, 'Give', 'Vejle', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (613, 766, 'Hedensted', 'Hedensted', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (617, 630, 'Jelling', 'Vejle', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (619, 766, 'Juelsminde', 'Hedensted', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (621, 621, 'Kolding', 'Kolding', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (623, 621, 'Lunderskov', 'Kolding', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (625, 756, 'Nrre-Snede', 'Ikast-Brande', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (627, 630, 'Trring-Uldum', 'Vejle', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (627, 766, 'Trring-Uldum', 'Hedensted', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (629, 621, 'Vamdrup', 'Kolding', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (631, 630, 'Vejle', 'Vejle', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (651, 657, 'Aulum-Haderup', 'Herning', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (653, 756, 'Brande', 'Ikast-Brande', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (655, 760, 'Egvad', 'Ringkbing-Skjern', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (659, 760, 'Holmsland', 'Ringkbing-Skjern', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (663, 756, 'Ikast', 'Ikast-Brande', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (667, 760, 'Ringkbing', 'Ringkbing-Skjern', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (669, 760, 'Skjern', 'Ringkbing-Skjern', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (673, 665, 'Thyborn-Harbore', 'Lemvig', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (675, 671, 'Thyholm', 'Struer', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (677, 657, 'Trehje', 'Herning', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (679, 661, 'Ulfborg-Vemb', 'Holstebro', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (681, 760, 'Videbk', 'Ringkbing-Skjern', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (683, 661, 'Vinderup', 'Holstebro', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (685, 657, 'Aaskov', 'Herning', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (701, 706, 'Ebeltoft', 'Syddjurs', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (703, 746, 'Galten', 'Skanderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (705, 740, 'Gjern', 'Silkeborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (709, 710, 'Hadsten', 'Favrskov', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (711, 710, 'Hammel', 'Favrskov', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (713, 710, 'Hinnerup', 'Favrskov', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (715, 746, 'Hrning', 'Skanderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (717, 710, 'Lang', 'Favrskov', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (717, 730, 'Lang', 'Randers', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (719, 730, 'Mariager', 'Randers', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (719, 846, 'Mariager', 'Mariagerfjord', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (721, 706, 'Midtdjurs', 'Syddjurs', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (723, 730, 'Nrhald', 'Randers', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (725, 707, 'Nrre-Djurs', 'Norddjurs', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (727, 727, 'Odder', 'Odder', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (729, 730, 'Purhus', 'Randers', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (731, 730, 'Randers', 'Randers', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (733, 706, 'Rosenholm', 'Syddjurs', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (735, 707, 'Rougs', 'Norddjurs', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (737, 746, 'Ry', 'Skanderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (739, 706, 'Rnde', 'Syddjurs', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (741, 741, 'Sams', 'Sams', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (743, 740, 'Silkeborg', 'Silkeborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (745, 746, 'Skanderborg', 'Skanderborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (747, 707, 'Snderhald', 'Norddjurs', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (747, 730, 'Snderhald', 'Randers', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (749, 740, 'Them', 'Silkeborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (751, 751, 'rhus', 'Aarhus', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (761, 791, 'Bjerringbro', 'Viborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (763, 791, 'Fjends', 'Viborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (765, 787, 'Hanstholm', 'Thisted', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (767, 710, 'Hvorslev', 'Favrskov', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (769, 791, 'Karup', 'Viborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (771, 740, 'Kjellerup', 'Silkeborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (773, 773, 'Mors', 'Mors', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (775, 791, 'Mldrup', 'Viborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (777, 779, 'Sallingsund', 'Skive', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (781, 779, 'Spttrup', 'Skive', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (783, 779, 'Sundsre', 'Skive', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (785, 787, 'Sydthy', 'Thisted', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (789, 791, 'Tjele', 'Viborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (793, 791, 'Aalestrup', 'Viborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (793, 820, 'Aalestrup', 'Vesthimmerlands', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (793, 846, 'Aalestrup', 'Mariagerfjord', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (801, 846, 'Arden', 'Mariagerfjord', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (803, 849, 'Brovst', 'Jammerbugt', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (805, 810, 'Brnderslev', 'Brnderslev', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (807, 810, 'Dronninglund', 'Brnderslev', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (809, 820, 'Fars', 'Vesthimmerlands', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (811, 849, 'Fjerritslev', 'Jammerbugt', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (815, 846, 'Hadsund', 'Mariagerfjord', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (817, 851, 'Hals', 'Aalborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (819, 860, 'Hirtshals', 'Hjrring', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (821, 860, 'Hjrring', 'Hjrring', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (823, 846, 'Hobro', 'Mariagerfjord', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (825, 825, 'Ls', 'Ls', '1', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (827, 820, 'Lgstr', 'Vesthimmerlands', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (829, 860, 'Lkken-Vr', 'Hjrring', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (831, 851, 'Nibe', 'Aalborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (833, 840, 'Nrager', 'Rebild', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (833, 846, 'Nrager', 'Mariagerfjord', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (835, 849, 'Pandrup', 'Jammerbugt', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (837, 851, 'Sejlflod', 'Aalborg', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (839, 860, 'Sindal', 'Hjrring', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (841, 813, 'Skagen', 'Frederikshavn', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (843, 840, 'Skrping', 'Rebild', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (845, 840, 'Stvring', 'Rebild', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (847, 813, 'Sby', 'Frederikshavn', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (849, 849, 'bybro', 'Jammerbugt', '0', 'geokon');
insert into gsc_district_mapping (district_code, district_2007_code, district_name, district_2007_name, same_code_after_2007, created_by) values (861, 820, 'Aars', 'Vesthimmerlands', '0', 'geokon');

--******************************************************************************
-- Opret eventuelt manglende rkker i gsc_district_2007               02-06-2020
--******************************************************************************

insert into gsc_district_2007 (code, long_name, sort_no, created_by, sys_type)
select distinct '0' + convert(varchar(6), district_2007_code), district_2007_name, district_2007_code, 'geokon', 'K'
from gsc_district_mapping
where ('0' + convert(varchar(6), district_2007_code)) not in (select code from gsc_district_2007);

--******************************************************************************
-- Opret kolonnen wcat_export_import.district_2007                    02-06-2020
--******************************************************************************

if (select col_length('wcat_export_import','district_2007')) is null
   alter table wcat_export_import add district_2007 varchar(6) null;

drop_foreign_key on wcat_export_import gsc_district_2007;

alter table wcat_export_import
  add constraint fk_wcat_export_import_gsc_district_2007 foreign key (district_2007)
  references gsc_district_2007 (code);

--******************************************************************************
-- Konverter gammel kommune til ny kommune                            02-06-2020
--******************************************************************************

update wcat_export_import
  set district_2007 = (select (case
                                 -- Hvis district allerede er det nye kommunenr. (enten fordi kommunenr. er det samme fr og efter 2007 eller
                                 -- fordi der er reg. nye kommunenr. i gsc_district tabellen), s st district_2007 til samme kommunenr.
                                 when exists(select code from gsc_district_2007 where code = '0' + district)
                                 then (select code from gsc_district_2007 where code = '0' + district)

                                 -- Hvis district er et gammelt kommunenr. og dette kan konverteres til prcis t nyt kommunenr., s st
                                 -- district_2007 til det nye kommunenr.
                                 when (select count(*) from gsc_district_mapping where district_code = convert(integer, district)) = 1
                                 then (select '0' + convert(varchar(6), district_2007_code) from gsc_district_mapping where district_code = convert(integer, district))

                                 -- Hvis district hverken er et nyt eller et "rigtigt" gammelt kommunenr. eller hvis district er et gammelt
                                 -- kommunenr. med flere mulige nye kommunenumre, s st district_2007 til null
                                 else null

                                 end))
where district is not null
and district_2007 is null;

--******************************************************************************
-- Opret kolonnen bor_borings.bor_district_2007                       03-06-2020
--******************************************************************************

if (select col_length('bor_borings','bor_district_2007')) is null
   alter table bor_borings add bor_district_2007 varchar(6) null;

drop_foreign_key on bor_borings gsc_district_2007;

alter table bor_borings
  add constraint fk_bor_borings_gsc_district_2007 foreign key (bor_district_2007)
  references gsc_district_2007 (code);

--******************************************************************************
-- Konverter gammel kommune til ny kommune                            03-06-2020
--******************************************************************************

update bor_borings
  set bor_district_2007 = (select (case
                                 -- Hvis bor_district allerede er det nye kommunenr. (enten fordi kommunenr. er det samme fr og efter 2007 eller
                                 -- fordi der er reg. nye kommunenr. i gsc_district tabellen), s st bor_district_2007 til samme kommunenr.
                                 when exists(select code from gsc_district_2007 where code = '0' + bor_district)
                                 then (select code from gsc_district_2007 where code = '0' + bor_district)

                                 -- Hvis bor_district er et gammelt kommunenr. og dette kan konverteres til prcis t nyt kommunenr., s st
                                 -- bor_district_2007 til det nye kommunenr.
                                 when (select count(*) from gsc_district_mapping where district_code = convert(integer, bor_district)) = 1
                                 then (select '0' + convert(varchar(6), district_2007_code) from gsc_district_mapping where district_code = convert(integer, bor_district))

                                 -- Hvis bor_district hverken er et nyt eller et "rigtigt" gammelt kommunenr. eller hvis bor_district er et gammelt
                                 -- kommunenr. med flere mulige nye kommunenumre, s st bor_district_2007 til null
                                 else null

                                 end))
where bor_district is not null
and bor_district_2007 is null;

--******************************************************************************