-- 03-06-2021 TRK / CW

-- DMA tabeller - 12.8.5 - mss

patch_id dma_1285_210603

--******************************************************************************
-- Ny DMA kodeliste                                                   03-06-2021
--******************************************************************************

create table dbo.dma_batKonklusioner (
    Id                            varchar(50)     not null,
    Navn                          varchar(200)    not null,
    Beskrivelse                   varchar(4000)   null,
    Aktiv                         varchar(1)      null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_dma_batKonklusioner primary key (Id)
);
grant select on dma_batKonklusioner to public;
grant select,insert,update,delete on dma_batKonklusioner to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from dma_batKonklusioner)
begin
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000001', 'Cement-kalk- og magnesiumoxidindustrien(Cement, Lime and Magnesium Oxide Manufacturing Industries, CLM)', 'Cement-kalk- og magnesiumoxidindustrien(Cement, Lime and Magnesium Oxide Manufacturing Industries, CLM)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000002', 'Chlor-alkali industrien(Production of Chlor-alkali, CAK)', 'Chlor-alkali industrien(Production of Chlor-alkali, CAK)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000003', 'Garverier(Tanning of Hides and Skins, TAN)', 'Garverier(Tanning of Hides and Skins, TAN)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000004', 'Glasindustrien(Manufacture of Glass, GLS)', 'Glasindustrien(Manufacture of Glass, GLS)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000005', 'Intensivt opdrt af fjerkr og svin(Intensive Rearing of Poultry and Pigs, IRPP)', 'Intensivt opdrt af fjerkr og svin(Intensive Rearing of Poultry and Pigs, IRPP)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000006', 'Jern- og stlindustrien(Iron and Steel Production, IS)', 'Jern- og stlindustrien(Iron and Steel Production, IS)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000007', 'Non-ferro metalindustrien(Non-ferrous Metal Industries, NFM)', 'Non-ferro metalindustrien(Non-ferrous Metal Industries, NFM)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000008', 'Pulp- og papirindustrien(Pulp and Paper Industry, PP)', 'Pulp- og papirindustrien(Pulp and Paper Industry, PP)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000009', 'Raffinaderier(Refining og Mineral Oil and Gas, REF)', 'Raffinaderier(Refining og Mineral Oil and Gas, REF)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000010', 'Spildevands- og luftrensning og dertil hrende styringssystemer i den kemiske industri(Common Waste Water and Waste Gas Treatment/Management Systems in the Chemical Sector, CWW)', 'Spildevands- og luftrensning og dertil hrende styringssystemer i den kemiske industri(Common Waste Water and Waste Gas Treatment/Management Systems in the Chemical Sector, CWW)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000011', 'Store fyringsanlg(Large Combustion Plants, LCP)', 'Store fyringsanlg(Large Combustion Plants, LCP)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000012', 'Produktion af trbaserede plader (spnplader o.l.)(Wood Based Panels Production, WBP)', 'Produktion af trbaserede plader (spnplader o.l.)(Wood Based Panels Production, WBP)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000013', 'Produktion af organiske kemikalier i storskala produktion(Large Volume Organic Chemical Industry, LVOC)', 'Produktion af organiske kemikalier i storskala produktion(Large Volume Organic Chemical Industry, LVOC)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000014', 'Affaldsbehandling(Waste Treatment, WT)', 'Affaldsbehandling(Waste Treatment, WT)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000015', 'Produktion af fdevarer, drikkevarer og mlk(Food, Drink and Milk Industries, FDM)', 'Produktion af fdevarer, drikkevarer og mlk(Food, Drink and Milk Industries, FDM)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000016', 'Keramiske produkter(Ceramic Manufacturing Industry, CER)', 'Keramiske produkter(Ceramic Manufacturing Industry, CER)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000017', 'Forarbejdning af jern og metal(Ferrous Metals Processing Industry, FMP)', 'Forarbejdning af jern og metal(Ferrous Metals Processing Industry, FMP)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000018', 'Produktion af uorganiske grundkemikalier - ammoniak, syre og gdningsprodukter(Large Volume Inorganic Chemicals - Ammonia, Acids and Fertilisers Industries LVIC)', 'Produktion af uorganiske grundkemikalier - ammoniak, syre og gdningsprodukter(Large Volume Inorganic Chemicals - Ammonia, Acids and Fertilisers Industries LVIC)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000019', 'Uorganiske kemikalier i storskalaproduktion - faste stoffer og andre stoffer(Large Volume Inorganic Chemicals - Solids and Others Industry, LVIC)', 'Uorganiske kemikalier i storskalaproduktion - faste stoffer og andre stoffer(Large Volume Inorganic Chemicals - Solids and Others Industry, LVIC)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000020', 'Slagterier og animalske biprodukter(Slaughterhouses and Animals By-products Industries, SA)', 'Slagterier og animalske biprodukter(Slaughterhouses and Animals By-products Industries, SA)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000021', 'Stberier(Smitheries and Foundries Industry, SF)', 'Stberier(Smitheries and Foundries Industry, SF)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000022', 'Overfladebehandling af metaller og plast(Surface Treatment of Metals and Plastics, STM)', 'Overfladebehandling af metaller og plast(Surface Treatment of Metals and Plastics, STM)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000023', 'Affaldsforbrnding(Waste Incineration, WI)', 'Affaldsforbrnding(Waste Incineration, WI)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000024', 'Overfladebehandling med organiske oplsningsmidler(Surface Treatment Using Organic Solvents, STS)', 'Overfladebehandling med organiske oplsningsmidler(Surface Treatment Using Organic Solvents, STS)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000025', 'Tekstilindustrien(Textiles Industry, TXT)', 'Tekstilindustrien(Textiles Industry, TXT)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000026', 'Luftrensning i den kemiske industri(Common Waste Gas Treatment in the Chemical Sector, WGC)', 'Luftrensning i den kemiske industri(Common Waste Gas Treatment in the Chemical Sector, WGC)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000027', 'Emissioner fraoplagring(Emissions from Storage)', 'Emissioner fraoplagring(Emissions from Storage)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000028', 'Energieffektivitet(Energy Efficiency)', 'Energieffektivitet(Energy Efficiency)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000029', 'Industrielle klesystemer(industrial Cooling Systems)', 'Industrielle klesystemer(industrial Cooling Systems)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000030', 'Ikke offentliggjort BAT-konklusion for hovedlistepunkt (GBK  24, stk.1)', 'Ikke offentliggjort BAT-konklusion for hovedlistepunkt (GBK  24, stk.1)', '1', 'geokon')
   insert into dma_batKonklusioner (Id, Navn, Beskrivelse, Aktiv, created_by) values ('BAT00000031', 'Ikke omfattet af BAT-konklusion (GBK  24, stk. 3)', 'Ikke omfattet af BAT-konklusion (GBK  24, stk. 3)', '1', 'geokon')
end;

--******************************************************************************
-- Ny DMA tabel                                                       07-06-2021
--******************************************************************************

CREATE TABLE dbo.ind_batconclusion (
    ind_seq_no                numeric(9, 0)   not null,
    dma_batkonklusioner_id    varchar(50)     not null,
    created                   datetime        null default current_timestamp,
    created_by                varchar(6)      null default current_user,
    changed                   datetime        null,
    changed_by                varchar(6)      null,
    constraint pk_ind_batconclusion primary key (ind_seq_no, dma_batkonklusioner_id)
);
grant select,insert,update,delete on ind_batconclusion to public;

drop_foreign_key on ind_batconclusion ind_industry
alter table ind_batconclusion
  add constraint fk_ind_batconclusion_ind_industry foreign key (ind_seq_no)
  references ind_industry (ind_seq_no);

drop_foreign_key on ind_batconclusion dma_batkonklusioner
alter table ind_batconclusion
  add constraint fk_ind_batconclusion_dma_batkonklusioner foreign key (dma_batkonklusioner_id)
  references dma_batKonklusioner (id);

--******************************************************************************