-- 25-06-2021 TRK
--
patch_id jup_1285_210625

--******************************************************************************
-- Nye jupiter tabeller                                               25-06-2021
--******************************************************************************

-- Jupiters Anlgsart kodeliste

create table dbo.jup_Anlaegsart (
    code                          integer         not null,
    longtext                      varchar(100)    null,
    shorttext                     varchar(100)    null,
    sortno                        integer         null,
    active                        varchar(1)      not null default '1',

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    constraint pk_jup_Anlaegsart primary key (code)
);
grant select on jup_Anlaegsart to public;
grant select, update, delete, insert on jup_Anlaegsart to sysmgr;

-- Fyld data i tabellen hvis den er tom.

if not exists (select * from jup_Anlaegsart)
begin
   insert into jup_Anlaegsart (code, longtext, shorttext, sortno, active, created_by) values (0, 'Ikke oplyst', null, 1, '1', 'geokon')
   insert into jup_Anlaegsart (code, longtext, shorttext, sortno, active, created_by) values (1, 'Kildeplads', null, 2, '1', 'geokon')
   insert into jup_Anlaegsart (code, longtext, shorttext, sortno, active, created_by) values (2, 'Kildeplads og behandling', null, 3, '1', 'geokon')
   insert into jup_Anlaegsart (code, longtext, shorttext, sortno, active, created_by) values (3, 'Kildeplads, behandling og distribution', null, 4, '1', 'geokon')
   insert into jup_Anlaegsart (code, longtext, shorttext, sortno, active, created_by) values (4, 'Behandling og distribution', null, 5, '1', 'geokon')
   insert into jup_Anlaegsart (code, longtext, shorttext, sortno, active, created_by) values (5, 'Distribution', null, 6, '1', 'geokon')
   insert into jup_Anlaegsart (code, longtext, shorttext, sortno, active, created_by) values (6, 'Behandling', null, 7, '1', 'geokon')
   insert into jup_Anlaegsart (code, longtext, shorttext, sortno, active, created_by) values (7, 'Kildeplads og distribution', null, 9, '1', 'geokon')
   insert into jup_Anlaegsart (code, longtext, shorttext, sortno, active, created_by) values (99, 'Andet', null, 8, '1', 'geokon')
end;

-- Opret kolonne p wcat_catchment_plant tabellen.

if (select col_length('wcat_catchment_plant','plant_type_code')) is null
   alter table wcat_catchment_plant add plant_type_code integer null;

drop_foreign_key on wcat_catchment_plant jup_Anlaegsart;
alter table wcat_catchment_plant
  add constraint fk_wcat_catchment_plant_jup_Anlaegsart foreign key (plant_type_code)
  references jup_Anlaegsart (code);

--******************************************************************************