patch_id tf_function_dma_info_11012022

if object_id('geokon.dma_info') IS NOT NULL
Begin
DROP FUNCTION geokon.dma_info
end ;


Create FUNCTION geokon.dma_info (
@type varchar(1) , @sag numeric(9,0) )
RETURNS @result TABLE
(
 seq_no numeric(9,0),
 dma_id varchar(50) NULL,
 dma_status varchar(1) NULL,
 dma_message varchar(3000) NULL,
 DMA_transfer_stamp  datetime not Null
)
AS BEGIN
 if  @type =  'A'
  -- decis_seq_no - DMA Afgoerelser
 Begin
 insert into @result ( seq_no, dma_id , dma_status , dma_message,DMA_transfer_stamp )
 Select
 dma_indlaesning.decis_seq_no,
 dma_indlaesning.dma_id,
 dma_indlaesning.dma_status,
 left(coalesce( dma_error_code.description, dma_indlaesning.dma_message) ,3000) as dma_message ,
 dma_indlaesning.DMA_transfer_stamp
 from  dma_indlaesning
 join ind_decision
 on ind_decision.decis_seq_no = dma_indlaesning.decis_seq_no
 and ind_decision.ind_seq_no = @sag
 JOIN  ( select max(  DMA_transfer_stamp) c_max_transfer,  decis_seq_no
 from dma_indlaesning group by decis_seq_no ) as tt
 on tt.decis_seq_no = dma_indlaesning.decis_seq_no
 and tt.c_max_transfer = dma_indlaesning.dma_transfer_stamp
 left join dma_error_code
 on dma_error_code.code = dma_indlaesning.dma_error_code
 End
 if  @type =  'V'
 -- ind_seq_no - Virksomhed
 Begin
 insert into @result (seq_no, dma_id , dma_status , dma_message,DMA_transfer_stamp )
 Select
 dma_indlaesning.ind_seq_no,
 dma_indlaesning.dma_id,
 dma_indlaesning.dma_status,
 left(coalesce( dma_error_code.description, dma_indlaesning.dma_message) ,3000) as dma_message ,
 dma_indlaesning.DMA_transfer_stamp
 from  dma_indlaesning
 join IND_INDUSTRY
 on IND_INDUSTRY.IND_SEQ_NO = dma_indlaesning.ind_seq_no
 and  ind_industry.site_seq_no = @sag
 JOIN  ( select max(  DMA_transfer_stamp) c_max_transfer,  ind_seq_no
 from dma_indlaesning group by ind_seq_no ) as tt
 on tt.ind_seq_no = dma_indlaesning.ind_seq_no
 and tt.c_max_transfer = dma_indlaesning.dma_transfer_stamp
 left join dma_error_code
 on dma_error_code.code = dma_indlaesning.dma_error_code
 End
 if  @type =  'T'
 -- insp_seq_no - Tilsyn
 Begin
 insert into @result (seq_no, dma_id , dma_status , dma_message,DMA_transfer_stamp )
 Select
 dma_indlaesning.insp_seq_no,
 dma_indlaesning.dma_id,
 dma_indlaesning.dma_status,
 left(coalesce( dma_error_code.description, dma_indlaesning.dma_message) ,3000) as dma_message ,
 dma_indlaesning.DMA_transfer_stamp
 from  dma_indlaesning
 join IND_INSPEC_REAL
 on dma_indlaesning.insp_seq_no = IND_INSPEC_REAL.INSP_SEQ_NO
 and ind_inspec_real.site_seq_no = @sag
 JOIN  ( select max(  DMA_transfer_stamp) c_max_transfer,  insp_seq_no
 from dma_indlaesning group by insp_seq_no ) as tt
 on tt.insp_seq_no = dma_indlaesning.insp_seq_no
 and tt.c_max_transfer = dma_indlaesning.dma_transfer_stamp
 left join dma_error_code
 on dma_error_code.code = dma_indlaesning.dma_error_code
 End
 if  @type =  'H'
 -- enforce_seq_no - Haandhaevelse
 Begin
 insert into @result (seq_no, dma_id , dma_status , dma_message,DMA_transfer_stamp )
 Select
 dma_indlaesning.enforce_seq_no,
 dma_indlaesning.dma_id,
 dma_indlaesning.dma_status,
 left(coalesce( dma_error_code.description, dma_indlaesning.dma_message)  ,3000) as dma_message ,
 dma_indlaesning.DMA_transfer_stamp
 from  dma_indlaesning
 join  ind_enforce
  on ind_enforce.ENFORCE_SEQ_NO = dma_indlaesning.enforce_seq_no
 and ind_enforce.site_seq_no =  @sag
 JOIN  ( select max(  DMA_transfer_stamp) c_max_transfer,  enforce_seq_no
 from dma_indlaesning group by enforce_seq_no ) as tt
 on tt.enforce_seq_no = dma_indlaesning.enforce_seq_no
 and tt.c_max_transfer = dma_indlaesning.dma_transfer_stamp
 left join dma_error_code
 on dma_error_code.code = dma_indlaesning.dma_error_code
  End
 return
End;


grant select on geokon.dma_info to public;