-- 16-02-2022 TRK
--
-- Nye kolonner i app_settings - 13.2.0 - mss

patch_id dpost_1320_220216

--******************************************************************************
-- Udgede kolonner i app_settings DPost                              16-02-2022
--******************************************************************************

delete from app_settings
where app_section = 'DPOST'
and app_key in ('DffServiceUrl', 'DffServiceUsername', 'DffServicePassword', 'DffLeverandoerIdentifikator', 'DffAfsendelseSendInterval', 'DffAfsendelseSendStartTime');

--******************************************************************************
-- Nye kolonner i app_settings DPost                                  16-02-2022
--******************************************************************************

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'DPOST_SERVICE') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'DPOST_SERVICE', 'D', 10, 'Digital Post integration', 'Url til DPost web servicen', 'Url til DPost web servicen (web service der udstilles af GeoEnviron Service DPost)', NULL;

update app_settings set
  app_sort = 11,
  app_descript = 'NgDP startdato p formen yyyy-MM-dd. Afsendelser fra fr denne dato bliver ikke sendt til NgDP',
  app_user_key = 'NgDP startdato'
where app_section = 'DPOST' and app_key = 'DffStartDate';

-- 30

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'ClientCertificateThumbprint') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'ClientCertificateThumbprint', 'D', 30, 'Digital Post integration', 'Client certificate thumbprint', 'Client certificate thumbprint', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'Cvr') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'Cvr', 'D', 31, 'Digital Post integration', 'CVR-nr', 'Kommunens CVR-nr', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'CvrName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'CvrName', 'D', 32, 'Digital Post integration', 'CVR-nr navn', 'Kommunenavn', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'StsIssuer') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'StsIssuer', 'D', 33, 'Digital Post integration', 'Sts issuer', 'Sts issuer', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'StsEndpoint') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'StsEndpoint', 'D', 34, 'Digital Post integration', 'Sts endpoint', 'Sts endpoint', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'StsCertificateAlias') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'StsCertificateAlias', 'D', 35, 'Digital Post integration', 'Sts certificate alias', 'Sts certificate alias', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'StsCertificateThumbprint') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'StsCertificateThumbprint', 'D', 36, 'Digital Post integration', 'Sts certificate thumbprint', 'Sts certificate thumbprint', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'KombitCertificateAlias') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'KombitCertificateAlias', 'D', 37, 'Digital Post integration', 'Kombit certificate alias', 'Kombit certificate alias', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'AccessTokenServiceEndpoint') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'AccessTokenServiceEndpoint', 'D', 38, 'Digital Post integration', 'AccessToken service endpoint', 'AccessToken service endpoint', NULL;

-- 45

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1520PersonEntityId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1520PersonEntityId', 'D', 45, 'Digital Post integration', 'SF1520PersonEntityId', 'SF1520PersonEntityId', 'http://cpr.serviceplatformen.dk/service/personbasedataextended/4';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1520PersonEndpoint') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1520PersonEndpoint', 'D', 46, 'Digital Post integration', 'SF1520PersonEndpoint', 'SF1520PersonEndpoint', NULL;

-- 50

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1601SP1EntityId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1601SP1EntityId', 'D', 50, 'Digital Post integration', 'SF1601SP1EntityId', 'SF1601SP1EntityId', 'http://entityid.kombit.dk/service/postforespoerg/1';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1601SP1Endpoint') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1601SP1Endpoint', 'D', 51, 'Digital Post integration', 'SF1601SP1Endpoint', 'SF1601SP1Endpoint', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1601SP3EntityId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1601SP3EntityId', 'D', 52, 'Digital Post integration', 'SF1601SP3EntityId', 'SF1601SP3EntityId', 'http://entityid.kombit.dk/service/kombipostafsend/1';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1601SP3Endpoint') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1601SP3Endpoint', 'D', 53, 'Digital Post integration', 'SF1601SP3Endpoint', 'SF1601SP3Endpoint', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1601SP3HeaderLabel') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1601SP3HeaderLabel', 'D', 54, 'Digital Post integration', 'SF1601SP3HeaderLabel', 'SF1601SP3HeaderLabel', 'Besked fra (kommunenavn) kommune';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1601SP3HeaderNotification') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1601SP3HeaderNotification', 'D', 55, 'Digital Post integration', 'SF1601SP3HeaderNotification', 'SF1601SP3HeaderNotification', 'Digital post fra (kommunenavn) kommune - Byggesagsafdelingen';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1601SP3ContactPointID') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1601SP3ContactPointID', 'D', 56, 'Digital Post integration', 'SF1601SP3ContactPointID', 'SF1601SP3ContactPointID', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1601SP3ForsendelseTypeId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1601SP3ForsendelseTypeId', 'D', 57, 'Digital Post integration', 'SF1601SP3ForsendelseTypeId', 'SF1601SP3ForsendelseTypeId', NULL;

-- 60

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1460DEntityId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1460DEntityId', 'D', 60, 'Digital Post integration', 'SF1460DEntityId', 'SF1460DEntityId', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1460DEndpoint') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1460DEndpoint', 'D', 61, 'Digital Post integration', 'SF1460DEndpoint', 'SF1460DEndpoint', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1460DQueueName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1460DQueueName', 'D', 63, 'Digital Post integration', 'SF1460DQueueName', 'SF1460DQueueName', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1460DQueuePort') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1460DQueuePort', 'D', 64, 'Digital Post integration', 'SF1460DQueuePort', 'SF1460DQueuePort', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1460DQueueHostName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1460DQueueHostName', 'D', 65, 'Digital Post integration', 'SF1460DQueueHostName', 'SF1460DQueueHostName', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1460DQueueVirtualHostName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1460DQueueVirtualHostName', 'D', 66, 'Digital Post integration', 'SF1460DQueueVirtualHostName', 'SF1460DQueueVirtualHostName', 'BF';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1460DQueueCertServerName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1460DQueueCertServerName', 'D', 67, 'Digital Post integration', 'SF1460DQueueCertServerName', 'SF1460DQueueCertServerName', NULL;

-- 70

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'MessageStatusRetrieveInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'MessageStatusRetrieveInterval', 'D', 70, 'Digital Post integration', 'Status check afsendelser - krselsinterval', 'Tidsinterval der bestemmer hvor ofte servicen checker status p afsendelser. Format: tt:mm (Default 00:05, dvs. hvert 5. minut)', '00:05';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'MessageStatusRetrieveStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'MessageStatusRetrieveStartTime', 'D', 71, 'Digital Post integration', 'Status check afsendelser - starttidspunkt', 'Starttidspunkt for frste check af status p afsendelser. Format: tt:mm (Default 00:00, dvs. med det samme)', '00:00';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1606PostModtagUUID') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1606PostModtagUUID', 'D', 75, 'Digital Post integration', 'PostModtag UUID', 'PostModtag UUID', NULL;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'SF1606SenderCertThumbprint') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'SF1606SenderCertThumbprint', 'D', 76, 'Digital Post integration', 'Sender certificate thumbprint', 'Sender certificate thumbprint', NULL;

--******************************************************************************